#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:non-bmp-utf8
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L non-bmp-utf8.old <(echo \
'$ json() { LD_LIBRARY_PATH=../lib ../src/json --verbose --escape-json --validate-utf8 "$@"; }
$ echo -ne '\''\xf0\x90\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\x90\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\x90\x80\x80'\''|json
$ echo -ne '\''\xf0\x90\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\x90\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\x90\x80\xbf'\''|json
$ echo -ne '\''\xf0\x90\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\x90\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\x90\xbf\x80'\''|json
$ echo -ne '\''\xf0\x90\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\x90\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\x90\xbf\xbf'\''|json
$ echo -ne '\''\xf0\xbf\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\xbf\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\xbf\x80\x80'\''|json
$ echo -ne '\''\xf0\xbf\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\xbf\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\xbf\x80\xbf'\''|json
$ echo -ne '\''\xf0\xbf\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\xbf\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\xbf\xbf\x80'\''|json
$ echo -ne '\''\xf0\xbf\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf0\xbf\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf0\xbf\xbf\xbf'\''|json
$ echo -ne '\''\xf1\x80\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\x80\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\x80\x80\x80'\''|json
$ echo -ne '\''\xf1\x80\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\x80\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\x80\x80\xbf'\''|json
$ echo -ne '\''\xf1\x80\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\x80\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\x80\xbf\x80'\''|json
$ echo -ne '\''\xf1\x80\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\x80\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\x80\xbf\xbf'\''|json
$ echo -ne '\''\xf1\xbf\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\xbf\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\xbf\x80\x80'\''|json
$ echo -ne '\''\xf1\xbf\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\xbf\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\xbf\x80\xbf'\''|json
$ echo -ne '\''\xf1\xbf\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\xbf\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\xbf\xbf\x80'\''|json
$ echo -ne '\''\xf1\xbf\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf1\xbf\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf1\xbf\xbf\xbf'\''|json
$ echo -ne '\''\xf3\x80\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\x80\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\x80\x80\x80'\''|json
$ echo -ne '\''\xf3\x80\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\x80\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\x80\x80\xbf'\''|json
$ echo -ne '\''\xf3\x80\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\x80\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\x80\xbf\x80'\''|json
$ echo -ne '\''\xf3\x80\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\x80\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\x80\xbf\xbf'\''|json
$ echo -ne '\''\xf3\xbf\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\xbf\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\xbf\x80\x80'\''|json
$ echo -ne '\''\xf3\xbf\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\xbf\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\xbf\x80\xbf'\''|json
$ echo -ne '\''\xf3\xbf\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\xbf\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\xbf\xbf\x80'\''|json
$ echo -ne '\''\xf3\xbf\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf3\xbf\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf3\xbf\xbf\xbf'\''|json
$ echo -ne '\''\xf4\x80\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x80\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x80\x80\x80'\''|json
$ echo -ne '\''\xf4\x80\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x80\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x80\x80\xbf'\''|json
$ echo -ne '\''\xf4\x80\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x80\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x80\xbf\x80'\''|json
$ echo -ne '\''\xf4\x80\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x80\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x80\xbf\xbf'\''|json
$ echo -ne '\''\xf4\x8f\x80\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x8f\x80\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x8f\x80\x80'\''|json
$ echo -ne '\''\xf4\x8f\x80\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x8f\x80\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x8f\x80\xbf'\''|json
$ echo -ne '\''\xf4\x8f\xbf\x80'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x8f\xbf\x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x8f\xbf\x80'\''|json
$ echo -ne '\''\xf4\x8f\xbf\xbf'\''|json
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf4\x8f\xbf\xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf4\x8f\xbf\xbf'\''|json'
) -L non-bmp-utf8.new <(
echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --verbose --escape-json --validate-utf8 "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --verbose --escape-json --validate-utf8 "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --verbose --escape-json --validate-utf8 "$@"; }'

echo '$ echo -ne '\''\xf0\x90\x80\x80'\''|json'
echo -ne '\xf0\x90\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\x90\x80\x80'\''|json'

echo '$ echo -ne '\''\xf0\x90\x80\xbf'\''|json'
echo -ne '\xf0\x90\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\x90\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf0\x90\xbf\x80'\''|json'
echo -ne '\xf0\x90\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\x90\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf0\x90\xbf\xbf'\''|json'
echo -ne '\xf0\x90\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\x90\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf0\xbf\x80\x80'\''|json'
echo -ne '\xf0\xbf\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\xbf\x80\x80'\''|json'

echo '$ echo -ne '\''\xf0\xbf\x80\xbf'\''|json'
echo -ne '\xf0\xbf\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\xbf\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf0\xbf\xbf\x80'\''|json'
echo -ne '\xf0\xbf\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\xbf\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf0\xbf\xbf\xbf'\''|json'
echo -ne '\xf0\xbf\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf0\xbf\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf1\x80\x80\x80'\''|json'
echo -ne '\xf1\x80\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\x80\x80\x80'\''|json'

echo '$ echo -ne '\''\xf1\x80\x80\xbf'\''|json'
echo -ne '\xf1\x80\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\x80\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf1\x80\xbf\x80'\''|json'
echo -ne '\xf1\x80\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\x80\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf1\x80\xbf\xbf'\''|json'
echo -ne '\xf1\x80\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\x80\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf1\xbf\x80\x80'\''|json'
echo -ne '\xf1\xbf\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\xbf\x80\x80'\''|json'

echo '$ echo -ne '\''\xf1\xbf\x80\xbf'\''|json'
echo -ne '\xf1\xbf\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\xbf\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf1\xbf\xbf\x80'\''|json'
echo -ne '\xf1\xbf\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\xbf\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf1\xbf\xbf\xbf'\''|json'
echo -ne '\xf1\xbf\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf1\xbf\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf3\x80\x80\x80'\''|json'
echo -ne '\xf3\x80\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\x80\x80\x80'\''|json'

echo '$ echo -ne '\''\xf3\x80\x80\xbf'\''|json'
echo -ne '\xf3\x80\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\x80\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf3\x80\xbf\x80'\''|json'
echo -ne '\xf3\x80\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\x80\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf3\x80\xbf\xbf'\''|json'
echo -ne '\xf3\x80\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\x80\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf3\xbf\x80\x80'\''|json'
echo -ne '\xf3\xbf\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\xbf\x80\x80'\''|json'

echo '$ echo -ne '\''\xf3\xbf\x80\xbf'\''|json'
echo -ne '\xf3\xbf\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\xbf\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf3\xbf\xbf\x80'\''|json'
echo -ne '\xf3\xbf\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\xbf\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf3\xbf\xbf\xbf'\''|json'
echo -ne '\xf3\xbf\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf3\xbf\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf4\x80\x80\x80'\''|json'
echo -ne '\xf4\x80\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x80\x80\x80'\''|json'

echo '$ echo -ne '\''\xf4\x80\x80\xbf'\''|json'
echo -ne '\xf4\x80\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x80\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf4\x80\xbf\x80'\''|json'
echo -ne '\xf4\x80\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x80\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf4\x80\xbf\xbf'\''|json'
echo -ne '\xf4\x80\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x80\xbf\xbf'\''|json'

echo '$ echo -ne '\''\xf4\x8f\x80\x80'\''|json'
echo -ne '\xf4\x8f\x80\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x8f\x80\x80'\''|json'

echo '$ echo -ne '\''\xf4\x8f\x80\xbf'\''|json'
echo -ne '\xf4\x8f\x80\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x8f\x80\xbf'\''|json'

echo '$ echo -ne '\''\xf4\x8f\xbf\x80'\''|json'
echo -ne '\xf4\x8f\xbf\x80'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x8f\xbf\x80'\''|json'

echo '$ echo -ne '\''\xf4\x8f\xbf\xbf'\''|json'
echo -ne '\xf4\x8f\xbf\xbf'|json 2>&1 ||
echo 'command failed: echo -ne '\''\xf4\x8f\xbf\xbf'\''|json'
)

