#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-non-bmp-utf8-3
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-non-bmp-utf8-3.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --parse-only --validate-utf8 "$@"; }
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 1
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 2
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 3
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 4
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 5
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 6
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 7
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 8
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 9
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 10
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 11
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 12
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 13
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 14
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 15
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 16
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 17
$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 18
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 1
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 2
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 3
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 4
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 5
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 6
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 7
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 8
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 9
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 10
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 11
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 12
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 13
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 14
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 15
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 16
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 17
$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 18
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 1
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 2
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 3
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 4
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 5
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 6
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 7
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 8
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 9
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 10
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 11
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 12
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 13
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 14
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 15
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 16
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 17
$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 18
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 1
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 2
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 3
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 4
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 5
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 6
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 7
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 8
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 9
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 10
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 11
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 12
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 13
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 14
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 15
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 16
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 17
$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 18
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 1
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 2
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 3
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 4
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 5
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 6
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 7
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 8
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 9
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 10
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 11
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 12
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 13
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 14
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 15
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 16
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 17
$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 18
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 1
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 2
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 3
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 4
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 5
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 6
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 7
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 8
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 9
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 10
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 11
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 12
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 13
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 14
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 15
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 16
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 17
$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 18
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 1
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 2
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 3
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 4
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 5
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 6
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 7
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 8
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 9
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 10
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 11
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 12
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 13
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 14
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 15
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 16
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 17
$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 18
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 1
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 2
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 3
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 4
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 5
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 6
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 7
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 8
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 9
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 10
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 11
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 12
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 13
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 14
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 15
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 16
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 17
$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 18'
) -L string-non-bmp-utf8-3.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --parse-only --validate-utf8 "$@"; }'
json() { json0 --literal-value --parse-only --validate-utf8 "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --parse-only --validate-utf8 "$@"; }'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 1'
echo -ne '"\xf4\x80\x80\x80"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 2'
echo -ne '"\xf4\x80\x80\x80"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 3'
echo -ne '"\xf4\x80\x80\x80"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 4'
echo -ne '"\xf4\x80\x80\x80"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 5'
echo -ne '"\xf4\x80\x80\x80"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 6'
echo -ne '"\xf4\x80\x80\x80"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 7'
echo -ne '"\xf4\x80\x80\x80"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 8'
echo -ne '"\xf4\x80\x80\x80"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 9'
echo -ne '"\xf4\x80\x80\x80"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 10'
echo -ne '"\xf4\x80\x80\x80"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 11'
echo -ne '"\xf4\x80\x80\x80"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 12'
echo -ne '"\xf4\x80\x80\x80"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 13'
echo -ne '"\xf4\x80\x80\x80"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 14'
echo -ne '"\xf4\x80\x80\x80"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 15'
echo -ne '"\xf4\x80\x80\x80"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 16'
echo -ne '"\xf4\x80\x80\x80"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 17'
echo -ne '"\xf4\x80\x80\x80"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 18'
echo -ne '"\xf4\x80\x80\x80"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\x80"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 1'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 2'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 3'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 4'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 5'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 6'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 7'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 8'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 9'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 10'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 11'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 12'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 13'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 14'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 15'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 16'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 17'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 18'
echo -ne '"\xf4\x80\x80\xbf"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\x80\xbf"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 1'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 2'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 3'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 4'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 5'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 6'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 7'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 8'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 9'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 10'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 11'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 12'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 13'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 14'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 15'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 16'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 17'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 18'
echo -ne '"\xf4\x80\xbf\x80"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\x80"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 1'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 2'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 3'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 4'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 5'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 6'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 7'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 8'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 9'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 10'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 11'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 12'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 13'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 14'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 15'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 16'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 17'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 18'
echo -ne '"\xf4\x80\xbf\xbf"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x80\xbf\xbf"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 1'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 2'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 3'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 4'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 5'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 6'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 7'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 8'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 9'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 10'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 11'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 12'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 13'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 14'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 15'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 16'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 17'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 18'
echo -ne '"\xf4\x8f\x80\x80"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\x80"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 1'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 2'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 3'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 4'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 5'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 6'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 7'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 8'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 9'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 10'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 11'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 12'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 13'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 14'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 15'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 16'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 17'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 18'
echo -ne '"\xf4\x8f\x80\xbf"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\x80\xbf"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 1'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 2'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 3'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 4'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 5'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 6'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 7'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 8'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 9'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 10'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 11'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 12'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 13'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 14'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 15'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 16'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 17'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 18'
echo -ne '"\xf4\x8f\xbf\x80"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\x80"'\''|json -b 18'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 1'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 1'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 2'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 2'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 3'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 3'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 4'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 4'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 5'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 5'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 6'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 6 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 6'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 7'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 7 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 7'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 8'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 8 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 8'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 9'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 9 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 9'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 10'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 10 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 10'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 11'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 11 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 11'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 12'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 12 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 12'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 13'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 13 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 13'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 14'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 14 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 14'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 15'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 15 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 15'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 16'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 16 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 16'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 17'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 17 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 17'

echo '$ echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 18'
echo -ne '"\xf4\x8f\xbf\xbf"'|json -b 18 2>&1 ||
echo 'command failed: echo -ne '\''"\xf4\x8f\xbf\xbf"'\''|json -b 18'
)

