#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-surrogate-pairs2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-surrogate-pairs2.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }
$ echo -n '\''"\ud800\ud800"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 1
$ echo -n '\''"\ud800\ud800"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 2
$ echo -n '\''"\ud800\ud800"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 3
$ echo -n '\''"\ud800\ud800"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 4
$ echo -n '\''"\ud800\ud800"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 5
$ echo -n '\''"\ud800\ud800"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 6
$ echo -n '\''"\ud800\ud800"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 7
$ echo -n '\''"\ud800\ud800"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 8
$ echo -n '\''"\ud800\ud800"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 9
$ echo -n '\''"\ud800\ud800"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 10
$ echo -n '\''"\ud800\ud800"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 11
$ echo -n '\''"\ud800\ud800"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 12
$ echo -n '\''"\ud800\ud800"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 13
$ echo -n '\''"\ud800\ud800"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud800\\ud800"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud800\ud800"'\''|json -b 14
$ echo -n '\''"\ud803\ud803"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 1
$ echo -n '\''"\ud803\ud803"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 2
$ echo -n '\''"\ud803\ud803"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 3
$ echo -n '\''"\ud803\ud803"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 4
$ echo -n '\''"\ud803\ud803"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 5
$ echo -n '\''"\ud803\ud803"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 6
$ echo -n '\''"\ud803\ud803"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 7
$ echo -n '\''"\ud803\ud803"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 8
$ echo -n '\''"\ud803\ud803"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 9
$ echo -n '\''"\ud803\ud803"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 10
$ echo -n '\''"\ud803\ud803"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 11
$ echo -n '\''"\ud803\ud803"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 12
$ echo -n '\''"\ud803\ud803"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 13
$ echo -n '\''"\ud803\ud803"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud803\\ud803"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud803\ud803"'\''|json -b 14
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 1
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 2
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 3
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 4
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 5
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 6
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 7
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 8
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 9
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 10
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 11
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 12
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 13
$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bc\\ud8bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 14
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 1
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 2
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 3
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 4
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 5
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 6
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 7
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 8
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 9
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 10
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 11
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 12
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 13
$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8bf\\ud8bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 14
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 1
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 2
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 3
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 4
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 5
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 6
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 7
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 8
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 9
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 10
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 11
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 12
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 13
$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c0\\ud8c0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 14
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 1
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 2
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 3
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 4
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 5
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 6
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 7
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 8
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 9
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 10
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 11
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 12
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 13
$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud8c3\\ud8c3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 14
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 1
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 2
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 3
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 4
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 5
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 6
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 7
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 8
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 9
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 10
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 11
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 12
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 13
$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bc\\ud9bc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 14
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 1
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 2
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 3
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 4
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 5
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 6
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 7
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 8
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 9
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 10
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 11
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 12
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 13
$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\ud9bf\\ud9bf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 14
$ echo -n '\''"\udac0\udac0"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 1
$ echo -n '\''"\udac0\udac0"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 2
$ echo -n '\''"\udac0\udac0"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 3
$ echo -n '\''"\udac0\udac0"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 4
$ echo -n '\''"\udac0\udac0"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 5
$ echo -n '\''"\udac0\udac0"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 6
$ echo -n '\''"\udac0\udac0"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 7
$ echo -n '\''"\udac0\udac0"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 8
$ echo -n '\''"\udac0\udac0"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 9
$ echo -n '\''"\udac0\udac0"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 10
$ echo -n '\''"\udac0\udac0"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 11
$ echo -n '\''"\udac0\udac0"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 12
$ echo -n '\''"\udac0\udac0"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 13
$ echo -n '\''"\udac0\udac0"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac0\\udac0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac0\udac0"'\''|json -b 14
$ echo -n '\''"\udac3\udac3"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 1
$ echo -n '\''"\udac3\udac3"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 2
$ echo -n '\''"\udac3\udac3"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 3
$ echo -n '\''"\udac3\udac3"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 4
$ echo -n '\''"\udac3\udac3"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 5
$ echo -n '\''"\udac3\udac3"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 6
$ echo -n '\''"\udac3\udac3"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 7
$ echo -n '\''"\udac3\udac3"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 8
$ echo -n '\''"\udac3\udac3"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 9
$ echo -n '\''"\udac3\udac3"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 10
$ echo -n '\''"\udac3\udac3"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 11
$ echo -n '\''"\udac3\udac3"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 12
$ echo -n '\''"\udac3\udac3"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 13
$ echo -n '\''"\udac3\udac3"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udac3\\udac3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udac3\udac3"'\''|json -b 14
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 1
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 2
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 3
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 4
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 5
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 6
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 7
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 8
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 9
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 10
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 11
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 12
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 13
$ echo -n '\''"\udbbc\udbbc"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbc\\udbbc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 14
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 1
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 2
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 3
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 4
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 5
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 6
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 7
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 8
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 9
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 10
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 11
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 12
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 13
$ echo -n '\''"\udbbf\udbbf"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbbf\\udbbf"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 14
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 1
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 2
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 3
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 4
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 5
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 6
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 7
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 8
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 9
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 10
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 11
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 12
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 13
$ echo -n '\''"\udbc0\udbc0"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc0\\udbc0"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 14
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 1
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 2
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 3
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 4
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 5
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 6
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 7
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 8
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 9
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 10
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 11
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 12
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 13
$ echo -n '\''"\udbc3\udbc3"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbc3\\udbc3"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 14
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 1
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 2
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 3
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 4
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 5
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 6
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 7
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 8
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 9
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 10
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 11
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 12
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 13
$ echo -n '\''"\udbfc\udbfc"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbfc\\udbfc"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 14
$ echo -n '\''"\udbff\udbff"'\''|json -b 1
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 1
$ echo -n '\''"\udbff\udbff"'\''|json -b 2
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 2
$ echo -n '\''"\udbff\udbff"'\''|json -b 3
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 3
$ echo -n '\''"\udbff\udbff"'\''|json -b 4
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 4
$ echo -n '\''"\udbff\udbff"'\''|json -b 5
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 5
$ echo -n '\''"\udbff\udbff"'\''|json -b 6
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 6
$ echo -n '\''"\udbff\udbff"'\''|json -b 7
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 7
$ echo -n '\''"\udbff\udbff"'\''|json -b 8
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 8
$ echo -n '\''"\udbff\udbff"'\''|json -b 9
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 9
$ echo -n '\''"\udbff\udbff"'\''|json -b 10
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 10
$ echo -n '\''"\udbff\udbff"'\''|json -b 11
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 11
$ echo -n '\''"\udbff\udbff"'\''|json -b 12
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 12
$ echo -n '\''"\udbff\udbff"'\''|json -b 13
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 13
$ echo -n '\''"\udbff\udbff"'\''|json -b 14
json: error: <stdin>:1:13: lex error: invalid string literal
json: error: <stdin>:1:13: "\\udbff\\udbff"
json: error: <stdin>:1:13:               ^
command failed: echo -n '\''"\udbff\udbff"'\''|json -b 14'
) -L string-surrogate-pairs2.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }'
json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 1'
echo -n '"\ud800\ud800"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 1'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 2'
echo -n '"\ud800\ud800"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 2'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 3'
echo -n '"\ud800\ud800"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 3'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 4'
echo -n '"\ud800\ud800"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 4'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 5'
echo -n '"\ud800\ud800"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 5'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 6'
echo -n '"\ud800\ud800"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 6'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 7'
echo -n '"\ud800\ud800"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 7'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 8'
echo -n '"\ud800\ud800"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 8'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 9'
echo -n '"\ud800\ud800"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 9'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 10'
echo -n '"\ud800\ud800"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 10'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 11'
echo -n '"\ud800\ud800"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 11'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 12'
echo -n '"\ud800\ud800"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 12'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 13'
echo -n '"\ud800\ud800"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 13'

echo '$ echo -n '\''"\ud800\ud800"'\''|json -b 14'
echo -n '"\ud800\ud800"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\ud800"'\''|json -b 14'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 1'
echo -n '"\ud803\ud803"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 1'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 2'
echo -n '"\ud803\ud803"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 2'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 3'
echo -n '"\ud803\ud803"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 3'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 4'
echo -n '"\ud803\ud803"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 4'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 5'
echo -n '"\ud803\ud803"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 5'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 6'
echo -n '"\ud803\ud803"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 6'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 7'
echo -n '"\ud803\ud803"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 7'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 8'
echo -n '"\ud803\ud803"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 8'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 9'
echo -n '"\ud803\ud803"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 9'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 10'
echo -n '"\ud803\ud803"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 10'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 11'
echo -n '"\ud803\ud803"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 11'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 12'
echo -n '"\ud803\ud803"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 12'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 13'
echo -n '"\ud803\ud803"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 13'

echo '$ echo -n '\''"\ud803\ud803"'\''|json -b 14'
echo -n '"\ud803\ud803"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\ud803"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 1'
echo -n '"\ud8bc\ud8bc"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 2'
echo -n '"\ud8bc\ud8bc"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 3'
echo -n '"\ud8bc\ud8bc"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 4'
echo -n '"\ud8bc\ud8bc"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 5'
echo -n '"\ud8bc\ud8bc"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 6'
echo -n '"\ud8bc\ud8bc"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 7'
echo -n '"\ud8bc\ud8bc"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 8'
echo -n '"\ud8bc\ud8bc"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 9'
echo -n '"\ud8bc\ud8bc"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 10'
echo -n '"\ud8bc\ud8bc"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 11'
echo -n '"\ud8bc\ud8bc"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 12'
echo -n '"\ud8bc\ud8bc"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 13'
echo -n '"\ud8bc\ud8bc"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bc\ud8bc"'\''|json -b 14'
echo -n '"\ud8bc\ud8bc"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\ud8bc"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 1'
echo -n '"\ud8bf\ud8bf"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 2'
echo -n '"\ud8bf\ud8bf"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 3'
echo -n '"\ud8bf\ud8bf"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 4'
echo -n '"\ud8bf\ud8bf"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 5'
echo -n '"\ud8bf\ud8bf"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 6'
echo -n '"\ud8bf\ud8bf"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 7'
echo -n '"\ud8bf\ud8bf"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 8'
echo -n '"\ud8bf\ud8bf"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 9'
echo -n '"\ud8bf\ud8bf"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 10'
echo -n '"\ud8bf\ud8bf"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 11'
echo -n '"\ud8bf\ud8bf"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 12'
echo -n '"\ud8bf\ud8bf"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 13'
echo -n '"\ud8bf\ud8bf"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bf\ud8bf"'\''|json -b 14'
echo -n '"\ud8bf\ud8bf"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\ud8bf"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 1'
echo -n '"\ud8c0\ud8c0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 2'
echo -n '"\ud8c0\ud8c0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 3'
echo -n '"\ud8c0\ud8c0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 4'
echo -n '"\ud8c0\ud8c0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 5'
echo -n '"\ud8c0\ud8c0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 6'
echo -n '"\ud8c0\ud8c0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 7'
echo -n '"\ud8c0\ud8c0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 8'
echo -n '"\ud8c0\ud8c0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 9'
echo -n '"\ud8c0\ud8c0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 10'
echo -n '"\ud8c0\ud8c0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 11'
echo -n '"\ud8c0\ud8c0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 12'
echo -n '"\ud8c0\ud8c0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 13'
echo -n '"\ud8c0\ud8c0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c0\ud8c0"'\''|json -b 14'
echo -n '"\ud8c0\ud8c0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\ud8c0"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 1'
echo -n '"\ud8c3\ud8c3"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 2'
echo -n '"\ud8c3\ud8c3"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 3'
echo -n '"\ud8c3\ud8c3"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 4'
echo -n '"\ud8c3\ud8c3"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 5'
echo -n '"\ud8c3\ud8c3"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 6'
echo -n '"\ud8c3\ud8c3"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 7'
echo -n '"\ud8c3\ud8c3"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 8'
echo -n '"\ud8c3\ud8c3"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 9'
echo -n '"\ud8c3\ud8c3"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 10'
echo -n '"\ud8c3\ud8c3"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 11'
echo -n '"\ud8c3\ud8c3"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 12'
echo -n '"\ud8c3\ud8c3"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 13'
echo -n '"\ud8c3\ud8c3"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c3\ud8c3"'\''|json -b 14'
echo -n '"\ud8c3\ud8c3"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\ud8c3"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 1'
echo -n '"\ud9bc\ud9bc"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 2'
echo -n '"\ud9bc\ud9bc"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 3'
echo -n '"\ud9bc\ud9bc"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 4'
echo -n '"\ud9bc\ud9bc"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 5'
echo -n '"\ud9bc\ud9bc"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 6'
echo -n '"\ud9bc\ud9bc"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 7'
echo -n '"\ud9bc\ud9bc"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 8'
echo -n '"\ud9bc\ud9bc"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 9'
echo -n '"\ud9bc\ud9bc"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 10'
echo -n '"\ud9bc\ud9bc"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 11'
echo -n '"\ud9bc\ud9bc"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 12'
echo -n '"\ud9bc\ud9bc"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 13'
echo -n '"\ud9bc\ud9bc"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bc\ud9bc"'\''|json -b 14'
echo -n '"\ud9bc\ud9bc"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\ud9bc"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 1'
echo -n '"\ud9bf\ud9bf"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 2'
echo -n '"\ud9bf\ud9bf"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 3'
echo -n '"\ud9bf\ud9bf"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 4'
echo -n '"\ud9bf\ud9bf"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 5'
echo -n '"\ud9bf\ud9bf"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 6'
echo -n '"\ud9bf\ud9bf"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 7'
echo -n '"\ud9bf\ud9bf"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 8'
echo -n '"\ud9bf\ud9bf"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 9'
echo -n '"\ud9bf\ud9bf"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 10'
echo -n '"\ud9bf\ud9bf"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 11'
echo -n '"\ud9bf\ud9bf"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 12'
echo -n '"\ud9bf\ud9bf"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 13'
echo -n '"\ud9bf\ud9bf"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bf\ud9bf"'\''|json -b 14'
echo -n '"\ud9bf\ud9bf"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\ud9bf"'\''|json -b 14'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 1'
echo -n '"\udac0\udac0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 1'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 2'
echo -n '"\udac0\udac0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 2'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 3'
echo -n '"\udac0\udac0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 3'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 4'
echo -n '"\udac0\udac0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 4'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 5'
echo -n '"\udac0\udac0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 5'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 6'
echo -n '"\udac0\udac0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 6'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 7'
echo -n '"\udac0\udac0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 7'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 8'
echo -n '"\udac0\udac0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 8'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 9'
echo -n '"\udac0\udac0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 9'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 10'
echo -n '"\udac0\udac0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 10'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 11'
echo -n '"\udac0\udac0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 11'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 12'
echo -n '"\udac0\udac0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 12'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 13'
echo -n '"\udac0\udac0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 13'

echo '$ echo -n '\''"\udac0\udac0"'\''|json -b 14'
echo -n '"\udac0\udac0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udac0"'\''|json -b 14'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 1'
echo -n '"\udac3\udac3"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 1'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 2'
echo -n '"\udac3\udac3"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 2'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 3'
echo -n '"\udac3\udac3"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 3'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 4'
echo -n '"\udac3\udac3"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 4'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 5'
echo -n '"\udac3\udac3"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 5'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 6'
echo -n '"\udac3\udac3"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 6'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 7'
echo -n '"\udac3\udac3"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 7'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 8'
echo -n '"\udac3\udac3"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 8'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 9'
echo -n '"\udac3\udac3"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 9'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 10'
echo -n '"\udac3\udac3"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 10'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 11'
echo -n '"\udac3\udac3"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 11'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 12'
echo -n '"\udac3\udac3"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 12'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 13'
echo -n '"\udac3\udac3"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 13'

echo '$ echo -n '\''"\udac3\udac3"'\''|json -b 14'
echo -n '"\udac3\udac3"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udac3"'\''|json -b 14'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 1'
echo -n '"\udbbc\udbbc"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 1'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 2'
echo -n '"\udbbc\udbbc"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 2'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 3'
echo -n '"\udbbc\udbbc"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 3'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 4'
echo -n '"\udbbc\udbbc"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 4'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 5'
echo -n '"\udbbc\udbbc"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 5'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 6'
echo -n '"\udbbc\udbbc"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 6'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 7'
echo -n '"\udbbc\udbbc"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 7'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 8'
echo -n '"\udbbc\udbbc"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 8'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 9'
echo -n '"\udbbc\udbbc"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 9'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 10'
echo -n '"\udbbc\udbbc"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 10'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 11'
echo -n '"\udbbc\udbbc"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 11'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 12'
echo -n '"\udbbc\udbbc"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 12'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 13'
echo -n '"\udbbc\udbbc"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 13'

echo '$ echo -n '\''"\udbbc\udbbc"'\''|json -b 14'
echo -n '"\udbbc\udbbc"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udbbc"'\''|json -b 14'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 1'
echo -n '"\udbbf\udbbf"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 1'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 2'
echo -n '"\udbbf\udbbf"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 2'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 3'
echo -n '"\udbbf\udbbf"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 3'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 4'
echo -n '"\udbbf\udbbf"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 4'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 5'
echo -n '"\udbbf\udbbf"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 5'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 6'
echo -n '"\udbbf\udbbf"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 6'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 7'
echo -n '"\udbbf\udbbf"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 7'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 8'
echo -n '"\udbbf\udbbf"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 8'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 9'
echo -n '"\udbbf\udbbf"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 9'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 10'
echo -n '"\udbbf\udbbf"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 10'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 11'
echo -n '"\udbbf\udbbf"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 11'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 12'
echo -n '"\udbbf\udbbf"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 12'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 13'
echo -n '"\udbbf\udbbf"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 13'

echo '$ echo -n '\''"\udbbf\udbbf"'\''|json -b 14'
echo -n '"\udbbf\udbbf"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udbbf"'\''|json -b 14'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 1'
echo -n '"\udbc0\udbc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 2'
echo -n '"\udbc0\udbc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 3'
echo -n '"\udbc0\udbc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 4'
echo -n '"\udbc0\udbc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 5'
echo -n '"\udbc0\udbc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 6'
echo -n '"\udbc0\udbc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 7'
echo -n '"\udbc0\udbc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 8'
echo -n '"\udbc0\udbc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 9'
echo -n '"\udbc0\udbc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 10'
echo -n '"\udbc0\udbc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 11'
echo -n '"\udbc0\udbc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 12'
echo -n '"\udbc0\udbc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 13'
echo -n '"\udbc0\udbc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbc0\udbc0"'\''|json -b 14'
echo -n '"\udbc0\udbc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udbc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 1'
echo -n '"\udbc3\udbc3"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 1'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 2'
echo -n '"\udbc3\udbc3"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 2'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 3'
echo -n '"\udbc3\udbc3"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 3'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 4'
echo -n '"\udbc3\udbc3"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 4'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 5'
echo -n '"\udbc3\udbc3"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 5'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 6'
echo -n '"\udbc3\udbc3"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 6'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 7'
echo -n '"\udbc3\udbc3"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 7'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 8'
echo -n '"\udbc3\udbc3"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 8'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 9'
echo -n '"\udbc3\udbc3"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 9'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 10'
echo -n '"\udbc3\udbc3"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 10'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 11'
echo -n '"\udbc3\udbc3"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 11'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 12'
echo -n '"\udbc3\udbc3"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 12'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 13'
echo -n '"\udbc3\udbc3"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 13'

echo '$ echo -n '\''"\udbc3\udbc3"'\''|json -b 14'
echo -n '"\udbc3\udbc3"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udbc3"'\''|json -b 14'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 1'
echo -n '"\udbfc\udbfc"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 1'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 2'
echo -n '"\udbfc\udbfc"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 2'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 3'
echo -n '"\udbfc\udbfc"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 3'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 4'
echo -n '"\udbfc\udbfc"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 4'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 5'
echo -n '"\udbfc\udbfc"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 5'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 6'
echo -n '"\udbfc\udbfc"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 6'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 7'
echo -n '"\udbfc\udbfc"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 7'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 8'
echo -n '"\udbfc\udbfc"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 8'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 9'
echo -n '"\udbfc\udbfc"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 9'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 10'
echo -n '"\udbfc\udbfc"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 10'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 11'
echo -n '"\udbfc\udbfc"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 11'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 12'
echo -n '"\udbfc\udbfc"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 12'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 13'
echo -n '"\udbfc\udbfc"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 13'

echo '$ echo -n '\''"\udbfc\udbfc"'\''|json -b 14'
echo -n '"\udbfc\udbfc"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udbfc"'\''|json -b 14'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 1'
echo -n '"\udbff\udbff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 1'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 2'
echo -n '"\udbff\udbff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 2'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 3'
echo -n '"\udbff\udbff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 3'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 4'
echo -n '"\udbff\udbff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 4'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 5'
echo -n '"\udbff\udbff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 5'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 6'
echo -n '"\udbff\udbff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 6'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 7'
echo -n '"\udbff\udbff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 7'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 8'
echo -n '"\udbff\udbff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 8'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 9'
echo -n '"\udbff\udbff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 9'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 10'
echo -n '"\udbff\udbff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 10'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 11'
echo -n '"\udbff\udbff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 11'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 12'
echo -n '"\udbff\udbff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 12'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 13'
echo -n '"\udbff\udbff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 13'

echo '$ echo -n '\''"\udbff\udbff"'\''|json -b 14'
echo -n '"\udbff\udbff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udbff"'\''|json -b 14'
)

