#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-surrogate-pairs3
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-surrogate-pairs3.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }
$ echo -n '\''"\ud800\udc00"'\''|json -b 1
$ echo -n '\''"\ud800\udc00"'\''|json -b 2
$ echo -n '\''"\ud800\udc00"'\''|json -b 3
$ echo -n '\''"\ud800\udc00"'\''|json -b 4
$ echo -n '\''"\ud800\udc00"'\''|json -b 5
$ echo -n '\''"\ud800\udc00"'\''|json -b 6
$ echo -n '\''"\ud800\udc00"'\''|json -b 7
$ echo -n '\''"\ud800\udc00"'\''|json -b 8
$ echo -n '\''"\ud800\udc00"'\''|json -b 9
$ echo -n '\''"\ud800\udc00"'\''|json -b 10
$ echo -n '\''"\ud800\udc00"'\''|json -b 11
$ echo -n '\''"\ud800\udc00"'\''|json -b 12
$ echo -n '\''"\ud800\udc00"'\''|json -b 13
$ echo -n '\''"\ud800\udc00"'\''|json -b 14
$ echo -n '\''"\ud800\udc3f"'\''|json -b 1
$ echo -n '\''"\ud800\udc3f"'\''|json -b 2
$ echo -n '\''"\ud800\udc3f"'\''|json -b 3
$ echo -n '\''"\ud800\udc3f"'\''|json -b 4
$ echo -n '\''"\ud800\udc3f"'\''|json -b 5
$ echo -n '\''"\ud800\udc3f"'\''|json -b 6
$ echo -n '\''"\ud800\udc3f"'\''|json -b 7
$ echo -n '\''"\ud800\udc3f"'\''|json -b 8
$ echo -n '\''"\ud800\udc3f"'\''|json -b 9
$ echo -n '\''"\ud800\udc3f"'\''|json -b 10
$ echo -n '\''"\ud800\udc3f"'\''|json -b 11
$ echo -n '\''"\ud800\udc3f"'\''|json -b 12
$ echo -n '\''"\ud800\udc3f"'\''|json -b 13
$ echo -n '\''"\ud800\udc3f"'\''|json -b 14
$ echo -n '\''"\ud800\udfc0"'\''|json -b 1
$ echo -n '\''"\ud800\udfc0"'\''|json -b 2
$ echo -n '\''"\ud800\udfc0"'\''|json -b 3
$ echo -n '\''"\ud800\udfc0"'\''|json -b 4
$ echo -n '\''"\ud800\udfc0"'\''|json -b 5
$ echo -n '\''"\ud800\udfc0"'\''|json -b 6
$ echo -n '\''"\ud800\udfc0"'\''|json -b 7
$ echo -n '\''"\ud800\udfc0"'\''|json -b 8
$ echo -n '\''"\ud800\udfc0"'\''|json -b 9
$ echo -n '\''"\ud800\udfc0"'\''|json -b 10
$ echo -n '\''"\ud800\udfc0"'\''|json -b 11
$ echo -n '\''"\ud800\udfc0"'\''|json -b 12
$ echo -n '\''"\ud800\udfc0"'\''|json -b 13
$ echo -n '\''"\ud800\udfc0"'\''|json -b 14
$ echo -n '\''"\ud800\udfff"'\''|json -b 1
$ echo -n '\''"\ud800\udfff"'\''|json -b 2
$ echo -n '\''"\ud800\udfff"'\''|json -b 3
$ echo -n '\''"\ud800\udfff"'\''|json -b 4
$ echo -n '\''"\ud800\udfff"'\''|json -b 5
$ echo -n '\''"\ud800\udfff"'\''|json -b 6
$ echo -n '\''"\ud800\udfff"'\''|json -b 7
$ echo -n '\''"\ud800\udfff"'\''|json -b 8
$ echo -n '\''"\ud800\udfff"'\''|json -b 9
$ echo -n '\''"\ud800\udfff"'\''|json -b 10
$ echo -n '\''"\ud800\udfff"'\''|json -b 11
$ echo -n '\''"\ud800\udfff"'\''|json -b 12
$ echo -n '\''"\ud800\udfff"'\''|json -b 13
$ echo -n '\''"\ud800\udfff"'\''|json -b 14
$ echo -n '\''"\ud803\udc00"'\''|json -b 1
$ echo -n '\''"\ud803\udc00"'\''|json -b 2
$ echo -n '\''"\ud803\udc00"'\''|json -b 3
$ echo -n '\''"\ud803\udc00"'\''|json -b 4
$ echo -n '\''"\ud803\udc00"'\''|json -b 5
$ echo -n '\''"\ud803\udc00"'\''|json -b 6
$ echo -n '\''"\ud803\udc00"'\''|json -b 7
$ echo -n '\''"\ud803\udc00"'\''|json -b 8
$ echo -n '\''"\ud803\udc00"'\''|json -b 9
$ echo -n '\''"\ud803\udc00"'\''|json -b 10
$ echo -n '\''"\ud803\udc00"'\''|json -b 11
$ echo -n '\''"\ud803\udc00"'\''|json -b 12
$ echo -n '\''"\ud803\udc00"'\''|json -b 13
$ echo -n '\''"\ud803\udc00"'\''|json -b 14
$ echo -n '\''"\ud803\udc3f"'\''|json -b 1
$ echo -n '\''"\ud803\udc3f"'\''|json -b 2
$ echo -n '\''"\ud803\udc3f"'\''|json -b 3
$ echo -n '\''"\ud803\udc3f"'\''|json -b 4
$ echo -n '\''"\ud803\udc3f"'\''|json -b 5
$ echo -n '\''"\ud803\udc3f"'\''|json -b 6
$ echo -n '\''"\ud803\udc3f"'\''|json -b 7
$ echo -n '\''"\ud803\udc3f"'\''|json -b 8
$ echo -n '\''"\ud803\udc3f"'\''|json -b 9
$ echo -n '\''"\ud803\udc3f"'\''|json -b 10
$ echo -n '\''"\ud803\udc3f"'\''|json -b 11
$ echo -n '\''"\ud803\udc3f"'\''|json -b 12
$ echo -n '\''"\ud803\udc3f"'\''|json -b 13
$ echo -n '\''"\ud803\udc3f"'\''|json -b 14
$ echo -n '\''"\ud803\udfc0"'\''|json -b 1
$ echo -n '\''"\ud803\udfc0"'\''|json -b 2
$ echo -n '\''"\ud803\udfc0"'\''|json -b 3
$ echo -n '\''"\ud803\udfc0"'\''|json -b 4
$ echo -n '\''"\ud803\udfc0"'\''|json -b 5
$ echo -n '\''"\ud803\udfc0"'\''|json -b 6
$ echo -n '\''"\ud803\udfc0"'\''|json -b 7
$ echo -n '\''"\ud803\udfc0"'\''|json -b 8
$ echo -n '\''"\ud803\udfc0"'\''|json -b 9
$ echo -n '\''"\ud803\udfc0"'\''|json -b 10
$ echo -n '\''"\ud803\udfc0"'\''|json -b 11
$ echo -n '\''"\ud803\udfc0"'\''|json -b 12
$ echo -n '\''"\ud803\udfc0"'\''|json -b 13
$ echo -n '\''"\ud803\udfc0"'\''|json -b 14
$ echo -n '\''"\ud803\udfff"'\''|json -b 1
$ echo -n '\''"\ud803\udfff"'\''|json -b 2
$ echo -n '\''"\ud803\udfff"'\''|json -b 3
$ echo -n '\''"\ud803\udfff"'\''|json -b 4
$ echo -n '\''"\ud803\udfff"'\''|json -b 5
$ echo -n '\''"\ud803\udfff"'\''|json -b 6
$ echo -n '\''"\ud803\udfff"'\''|json -b 7
$ echo -n '\''"\ud803\udfff"'\''|json -b 8
$ echo -n '\''"\ud803\udfff"'\''|json -b 9
$ echo -n '\''"\ud803\udfff"'\''|json -b 10
$ echo -n '\''"\ud803\udfff"'\''|json -b 11
$ echo -n '\''"\ud803\udfff"'\''|json -b 12
$ echo -n '\''"\ud803\udfff"'\''|json -b 13
$ echo -n '\''"\ud803\udfff"'\''|json -b 14
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 1
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 2
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 3
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 4
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 5
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 6
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 7
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 8
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 9
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 10
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 11
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 12
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 13
$ echo -n '\''"\ud8bc\udc00"'\''|json -b 14
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 1
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 2
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 3
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 4
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 5
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 6
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 7
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 8
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 9
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 10
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 11
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 12
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 13
$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 14
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 1
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 2
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 3
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 4
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 5
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 6
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 7
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 8
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 9
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 10
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 11
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 12
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 13
$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 14
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 1
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 2
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 3
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 4
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 5
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 6
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 7
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 8
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 9
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 10
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 11
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 12
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 13
$ echo -n '\''"\ud8bc\udfff"'\''|json -b 14
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 1
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 2
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 3
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 4
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 5
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 6
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 7
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 8
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 9
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 10
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 11
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 12
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 13
$ echo -n '\''"\ud8bf\udc00"'\''|json -b 14
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 1
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 2
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 3
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 4
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 5
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 6
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 7
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 8
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 9
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 10
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 11
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 12
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 13
$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 14
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 1
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 2
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 3
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 4
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 5
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 6
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 7
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 8
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 9
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 10
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 11
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 12
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 13
$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 14
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 1
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 2
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 3
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 4
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 5
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 6
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 7
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 8
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 9
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 10
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 11
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 12
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 13
$ echo -n '\''"\ud8bf\udfff"'\''|json -b 14
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 1
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 2
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 3
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 4
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 5
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 6
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 7
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 8
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 9
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 10
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 11
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 12
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 13
$ echo -n '\''"\ud8c0\udc00"'\''|json -b 14
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 1
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 2
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 3
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 4
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 5
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 6
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 7
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 8
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 9
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 10
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 11
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 12
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 13
$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 14
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 1
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 2
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 3
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 4
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 5
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 6
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 7
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 8
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 9
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 10
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 11
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 12
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 13
$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 14
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 1
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 2
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 3
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 4
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 5
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 6
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 7
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 8
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 9
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 10
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 11
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 12
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 13
$ echo -n '\''"\ud8c0\udfff"'\''|json -b 14
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 1
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 2
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 3
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 4
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 5
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 6
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 7
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 8
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 9
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 10
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 11
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 12
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 13
$ echo -n '\''"\ud8c3\udc00"'\''|json -b 14
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 1
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 2
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 3
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 4
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 5
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 6
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 7
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 8
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 9
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 10
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 11
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 12
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 13
$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 14
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 1
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 2
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 3
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 4
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 5
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 6
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 7
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 8
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 9
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 10
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 11
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 12
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 13
$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 14
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 1
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 2
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 3
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 4
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 5
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 6
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 7
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 8
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 9
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 10
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 11
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 12
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 13
$ echo -n '\''"\ud8c3\udfff"'\''|json -b 14
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 1
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 2
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 3
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 4
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 5
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 6
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 7
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 8
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 9
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 10
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 11
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 12
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 13
$ echo -n '\''"\ud9bc\udc00"'\''|json -b 14
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 1
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 2
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 3
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 4
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 5
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 6
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 7
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 8
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 9
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 10
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 11
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 12
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 13
$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 14
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 1
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 2
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 3
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 4
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 5
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 6
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 7
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 8
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 9
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 10
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 11
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 12
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 13
$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 14
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 1
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 2
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 3
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 4
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 5
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 6
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 7
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 8
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 9
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 10
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 11
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 12
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 13
$ echo -n '\''"\ud9bc\udfff"'\''|json -b 14
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 1
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 2
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 3
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 4
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 5
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 6
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 7
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 8
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 9
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 10
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 11
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 12
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 13
$ echo -n '\''"\ud9bf\udc00"'\''|json -b 14
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 1
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 2
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 3
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 4
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 5
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 6
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 7
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 8
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 9
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 10
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 11
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 12
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 13
$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 14
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 1
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 2
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 3
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 4
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 5
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 6
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 7
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 8
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 9
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 10
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 11
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 12
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 13
$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 14
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 1
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 2
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 3
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 4
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 5
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 6
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 7
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 8
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 9
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 10
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 11
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 12
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 13
$ echo -n '\''"\ud9bf\udfff"'\''|json -b 14
$ echo -n '\''"\udac0\udc00"'\''|json -b 1
$ echo -n '\''"\udac0\udc00"'\''|json -b 2
$ echo -n '\''"\udac0\udc00"'\''|json -b 3
$ echo -n '\''"\udac0\udc00"'\''|json -b 4
$ echo -n '\''"\udac0\udc00"'\''|json -b 5
$ echo -n '\''"\udac0\udc00"'\''|json -b 6
$ echo -n '\''"\udac0\udc00"'\''|json -b 7
$ echo -n '\''"\udac0\udc00"'\''|json -b 8
$ echo -n '\''"\udac0\udc00"'\''|json -b 9
$ echo -n '\''"\udac0\udc00"'\''|json -b 10
$ echo -n '\''"\udac0\udc00"'\''|json -b 11
$ echo -n '\''"\udac0\udc00"'\''|json -b 12
$ echo -n '\''"\udac0\udc00"'\''|json -b 13
$ echo -n '\''"\udac0\udc00"'\''|json -b 14
$ echo -n '\''"\udac0\udc3f"'\''|json -b 1
$ echo -n '\''"\udac0\udc3f"'\''|json -b 2
$ echo -n '\''"\udac0\udc3f"'\''|json -b 3
$ echo -n '\''"\udac0\udc3f"'\''|json -b 4
$ echo -n '\''"\udac0\udc3f"'\''|json -b 5
$ echo -n '\''"\udac0\udc3f"'\''|json -b 6
$ echo -n '\''"\udac0\udc3f"'\''|json -b 7
$ echo -n '\''"\udac0\udc3f"'\''|json -b 8
$ echo -n '\''"\udac0\udc3f"'\''|json -b 9
$ echo -n '\''"\udac0\udc3f"'\''|json -b 10
$ echo -n '\''"\udac0\udc3f"'\''|json -b 11
$ echo -n '\''"\udac0\udc3f"'\''|json -b 12
$ echo -n '\''"\udac0\udc3f"'\''|json -b 13
$ echo -n '\''"\udac0\udc3f"'\''|json -b 14
$ echo -n '\''"\udac0\udfc0"'\''|json -b 1
$ echo -n '\''"\udac0\udfc0"'\''|json -b 2
$ echo -n '\''"\udac0\udfc0"'\''|json -b 3
$ echo -n '\''"\udac0\udfc0"'\''|json -b 4
$ echo -n '\''"\udac0\udfc0"'\''|json -b 5
$ echo -n '\''"\udac0\udfc0"'\''|json -b 6
$ echo -n '\''"\udac0\udfc0"'\''|json -b 7
$ echo -n '\''"\udac0\udfc0"'\''|json -b 8
$ echo -n '\''"\udac0\udfc0"'\''|json -b 9
$ echo -n '\''"\udac0\udfc0"'\''|json -b 10
$ echo -n '\''"\udac0\udfc0"'\''|json -b 11
$ echo -n '\''"\udac0\udfc0"'\''|json -b 12
$ echo -n '\''"\udac0\udfc0"'\''|json -b 13
$ echo -n '\''"\udac0\udfc0"'\''|json -b 14
$ echo -n '\''"\udac0\udfff"'\''|json -b 1
$ echo -n '\''"\udac0\udfff"'\''|json -b 2
$ echo -n '\''"\udac0\udfff"'\''|json -b 3
$ echo -n '\''"\udac0\udfff"'\''|json -b 4
$ echo -n '\''"\udac0\udfff"'\''|json -b 5
$ echo -n '\''"\udac0\udfff"'\''|json -b 6
$ echo -n '\''"\udac0\udfff"'\''|json -b 7
$ echo -n '\''"\udac0\udfff"'\''|json -b 8
$ echo -n '\''"\udac0\udfff"'\''|json -b 9
$ echo -n '\''"\udac0\udfff"'\''|json -b 10
$ echo -n '\''"\udac0\udfff"'\''|json -b 11
$ echo -n '\''"\udac0\udfff"'\''|json -b 12
$ echo -n '\''"\udac0\udfff"'\''|json -b 13
$ echo -n '\''"\udac0\udfff"'\''|json -b 14
$ echo -n '\''"\udac3\udc00"'\''|json -b 1
$ echo -n '\''"\udac3\udc00"'\''|json -b 2
$ echo -n '\''"\udac3\udc00"'\''|json -b 3
$ echo -n '\''"\udac3\udc00"'\''|json -b 4
$ echo -n '\''"\udac3\udc00"'\''|json -b 5
$ echo -n '\''"\udac3\udc00"'\''|json -b 6
$ echo -n '\''"\udac3\udc00"'\''|json -b 7
$ echo -n '\''"\udac3\udc00"'\''|json -b 8
$ echo -n '\''"\udac3\udc00"'\''|json -b 9
$ echo -n '\''"\udac3\udc00"'\''|json -b 10
$ echo -n '\''"\udac3\udc00"'\''|json -b 11
$ echo -n '\''"\udac3\udc00"'\''|json -b 12
$ echo -n '\''"\udac3\udc00"'\''|json -b 13
$ echo -n '\''"\udac3\udc00"'\''|json -b 14
$ echo -n '\''"\udac3\udc3f"'\''|json -b 1
$ echo -n '\''"\udac3\udc3f"'\''|json -b 2
$ echo -n '\''"\udac3\udc3f"'\''|json -b 3
$ echo -n '\''"\udac3\udc3f"'\''|json -b 4
$ echo -n '\''"\udac3\udc3f"'\''|json -b 5
$ echo -n '\''"\udac3\udc3f"'\''|json -b 6
$ echo -n '\''"\udac3\udc3f"'\''|json -b 7
$ echo -n '\''"\udac3\udc3f"'\''|json -b 8
$ echo -n '\''"\udac3\udc3f"'\''|json -b 9
$ echo -n '\''"\udac3\udc3f"'\''|json -b 10
$ echo -n '\''"\udac3\udc3f"'\''|json -b 11
$ echo -n '\''"\udac3\udc3f"'\''|json -b 12
$ echo -n '\''"\udac3\udc3f"'\''|json -b 13
$ echo -n '\''"\udac3\udc3f"'\''|json -b 14
$ echo -n '\''"\udac3\udfc0"'\''|json -b 1
$ echo -n '\''"\udac3\udfc0"'\''|json -b 2
$ echo -n '\''"\udac3\udfc0"'\''|json -b 3
$ echo -n '\''"\udac3\udfc0"'\''|json -b 4
$ echo -n '\''"\udac3\udfc0"'\''|json -b 5
$ echo -n '\''"\udac3\udfc0"'\''|json -b 6
$ echo -n '\''"\udac3\udfc0"'\''|json -b 7
$ echo -n '\''"\udac3\udfc0"'\''|json -b 8
$ echo -n '\''"\udac3\udfc0"'\''|json -b 9
$ echo -n '\''"\udac3\udfc0"'\''|json -b 10
$ echo -n '\''"\udac3\udfc0"'\''|json -b 11
$ echo -n '\''"\udac3\udfc0"'\''|json -b 12
$ echo -n '\''"\udac3\udfc0"'\''|json -b 13
$ echo -n '\''"\udac3\udfc0"'\''|json -b 14
$ echo -n '\''"\udac3\udfff"'\''|json -b 1
$ echo -n '\''"\udac3\udfff"'\''|json -b 2
$ echo -n '\''"\udac3\udfff"'\''|json -b 3
$ echo -n '\''"\udac3\udfff"'\''|json -b 4
$ echo -n '\''"\udac3\udfff"'\''|json -b 5
$ echo -n '\''"\udac3\udfff"'\''|json -b 6
$ echo -n '\''"\udac3\udfff"'\''|json -b 7
$ echo -n '\''"\udac3\udfff"'\''|json -b 8
$ echo -n '\''"\udac3\udfff"'\''|json -b 9
$ echo -n '\''"\udac3\udfff"'\''|json -b 10
$ echo -n '\''"\udac3\udfff"'\''|json -b 11
$ echo -n '\''"\udac3\udfff"'\''|json -b 12
$ echo -n '\''"\udac3\udfff"'\''|json -b 13
$ echo -n '\''"\udac3\udfff"'\''|json -b 14
$ echo -n '\''"\udbbc\udc00"'\''|json -b 1
$ echo -n '\''"\udbbc\udc00"'\''|json -b 2
$ echo -n '\''"\udbbc\udc00"'\''|json -b 3
$ echo -n '\''"\udbbc\udc00"'\''|json -b 4
$ echo -n '\''"\udbbc\udc00"'\''|json -b 5
$ echo -n '\''"\udbbc\udc00"'\''|json -b 6
$ echo -n '\''"\udbbc\udc00"'\''|json -b 7
$ echo -n '\''"\udbbc\udc00"'\''|json -b 8
$ echo -n '\''"\udbbc\udc00"'\''|json -b 9
$ echo -n '\''"\udbbc\udc00"'\''|json -b 10
$ echo -n '\''"\udbbc\udc00"'\''|json -b 11
$ echo -n '\''"\udbbc\udc00"'\''|json -b 12
$ echo -n '\''"\udbbc\udc00"'\''|json -b 13
$ echo -n '\''"\udbbc\udc00"'\''|json -b 14
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 1
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 2
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 3
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 4
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 5
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 6
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 7
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 8
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 9
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 10
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 11
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 12
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 13
$ echo -n '\''"\udbbc\udc3f"'\''|json -b 14
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 1
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 2
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 3
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 4
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 5
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 6
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 7
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 8
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 9
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 10
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 11
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 12
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 13
$ echo -n '\''"\udbbc\udfc0"'\''|json -b 14
$ echo -n '\''"\udbbc\udfff"'\''|json -b 1
$ echo -n '\''"\udbbc\udfff"'\''|json -b 2
$ echo -n '\''"\udbbc\udfff"'\''|json -b 3
$ echo -n '\''"\udbbc\udfff"'\''|json -b 4
$ echo -n '\''"\udbbc\udfff"'\''|json -b 5
$ echo -n '\''"\udbbc\udfff"'\''|json -b 6
$ echo -n '\''"\udbbc\udfff"'\''|json -b 7
$ echo -n '\''"\udbbc\udfff"'\''|json -b 8
$ echo -n '\''"\udbbc\udfff"'\''|json -b 9
$ echo -n '\''"\udbbc\udfff"'\''|json -b 10
$ echo -n '\''"\udbbc\udfff"'\''|json -b 11
$ echo -n '\''"\udbbc\udfff"'\''|json -b 12
$ echo -n '\''"\udbbc\udfff"'\''|json -b 13
$ echo -n '\''"\udbbc\udfff"'\''|json -b 14
$ echo -n '\''"\udbbf\udc00"'\''|json -b 1
$ echo -n '\''"\udbbf\udc00"'\''|json -b 2
$ echo -n '\''"\udbbf\udc00"'\''|json -b 3
$ echo -n '\''"\udbbf\udc00"'\''|json -b 4
$ echo -n '\''"\udbbf\udc00"'\''|json -b 5
$ echo -n '\''"\udbbf\udc00"'\''|json -b 6
$ echo -n '\''"\udbbf\udc00"'\''|json -b 7
$ echo -n '\''"\udbbf\udc00"'\''|json -b 8
$ echo -n '\''"\udbbf\udc00"'\''|json -b 9
$ echo -n '\''"\udbbf\udc00"'\''|json -b 10
$ echo -n '\''"\udbbf\udc00"'\''|json -b 11
$ echo -n '\''"\udbbf\udc00"'\''|json -b 12
$ echo -n '\''"\udbbf\udc00"'\''|json -b 13
$ echo -n '\''"\udbbf\udc00"'\''|json -b 14
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 1
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 2
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 3
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 4
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 5
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 6
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 7
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 8
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 9
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 10
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 11
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 12
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 13
$ echo -n '\''"\udbbf\udc3f"'\''|json -b 14
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 1
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 2
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 3
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 4
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 5
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 6
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 7
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 8
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 9
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 10
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 11
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 12
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 13
$ echo -n '\''"\udbbf\udfc0"'\''|json -b 14
$ echo -n '\''"\udbbf\udfff"'\''|json -b 1
$ echo -n '\''"\udbbf\udfff"'\''|json -b 2
$ echo -n '\''"\udbbf\udfff"'\''|json -b 3
$ echo -n '\''"\udbbf\udfff"'\''|json -b 4
$ echo -n '\''"\udbbf\udfff"'\''|json -b 5
$ echo -n '\''"\udbbf\udfff"'\''|json -b 6
$ echo -n '\''"\udbbf\udfff"'\''|json -b 7
$ echo -n '\''"\udbbf\udfff"'\''|json -b 8
$ echo -n '\''"\udbbf\udfff"'\''|json -b 9
$ echo -n '\''"\udbbf\udfff"'\''|json -b 10
$ echo -n '\''"\udbbf\udfff"'\''|json -b 11
$ echo -n '\''"\udbbf\udfff"'\''|json -b 12
$ echo -n '\''"\udbbf\udfff"'\''|json -b 13
$ echo -n '\''"\udbbf\udfff"'\''|json -b 14
$ echo -n '\''"\udbc0\udc00"'\''|json -b 1
$ echo -n '\''"\udbc0\udc00"'\''|json -b 2
$ echo -n '\''"\udbc0\udc00"'\''|json -b 3
$ echo -n '\''"\udbc0\udc00"'\''|json -b 4
$ echo -n '\''"\udbc0\udc00"'\''|json -b 5
$ echo -n '\''"\udbc0\udc00"'\''|json -b 6
$ echo -n '\''"\udbc0\udc00"'\''|json -b 7
$ echo -n '\''"\udbc0\udc00"'\''|json -b 8
$ echo -n '\''"\udbc0\udc00"'\''|json -b 9
$ echo -n '\''"\udbc0\udc00"'\''|json -b 10
$ echo -n '\''"\udbc0\udc00"'\''|json -b 11
$ echo -n '\''"\udbc0\udc00"'\''|json -b 12
$ echo -n '\''"\udbc0\udc00"'\''|json -b 13
$ echo -n '\''"\udbc0\udc00"'\''|json -b 14
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 1
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 2
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 3
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 4
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 5
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 6
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 7
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 8
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 9
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 10
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 11
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 12
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 13
$ echo -n '\''"\udbc0\udc3f"'\''|json -b 14
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 1
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 2
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 3
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 4
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 5
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 6
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 7
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 8
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 9
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 10
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 11
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 12
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 13
$ echo -n '\''"\udbc0\udfc0"'\''|json -b 14
$ echo -n '\''"\udbc0\udfff"'\''|json -b 1
$ echo -n '\''"\udbc0\udfff"'\''|json -b 2
$ echo -n '\''"\udbc0\udfff"'\''|json -b 3
$ echo -n '\''"\udbc0\udfff"'\''|json -b 4
$ echo -n '\''"\udbc0\udfff"'\''|json -b 5
$ echo -n '\''"\udbc0\udfff"'\''|json -b 6
$ echo -n '\''"\udbc0\udfff"'\''|json -b 7
$ echo -n '\''"\udbc0\udfff"'\''|json -b 8
$ echo -n '\''"\udbc0\udfff"'\''|json -b 9
$ echo -n '\''"\udbc0\udfff"'\''|json -b 10
$ echo -n '\''"\udbc0\udfff"'\''|json -b 11
$ echo -n '\''"\udbc0\udfff"'\''|json -b 12
$ echo -n '\''"\udbc0\udfff"'\''|json -b 13
$ echo -n '\''"\udbc0\udfff"'\''|json -b 14
$ echo -n '\''"\udbc3\udc00"'\''|json -b 1
$ echo -n '\''"\udbc3\udc00"'\''|json -b 2
$ echo -n '\''"\udbc3\udc00"'\''|json -b 3
$ echo -n '\''"\udbc3\udc00"'\''|json -b 4
$ echo -n '\''"\udbc3\udc00"'\''|json -b 5
$ echo -n '\''"\udbc3\udc00"'\''|json -b 6
$ echo -n '\''"\udbc3\udc00"'\''|json -b 7
$ echo -n '\''"\udbc3\udc00"'\''|json -b 8
$ echo -n '\''"\udbc3\udc00"'\''|json -b 9
$ echo -n '\''"\udbc3\udc00"'\''|json -b 10
$ echo -n '\''"\udbc3\udc00"'\''|json -b 11
$ echo -n '\''"\udbc3\udc00"'\''|json -b 12
$ echo -n '\''"\udbc3\udc00"'\''|json -b 13
$ echo -n '\''"\udbc3\udc00"'\''|json -b 14
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 1
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 2
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 3
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 4
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 5
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 6
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 7
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 8
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 9
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 10
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 11
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 12
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 13
$ echo -n '\''"\udbc3\udc3f"'\''|json -b 14
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 1
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 2
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 3
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 4
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 5
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 6
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 7
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 8
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 9
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 10
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 11
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 12
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 13
$ echo -n '\''"\udbc3\udfc0"'\''|json -b 14
$ echo -n '\''"\udbc3\udfff"'\''|json -b 1
$ echo -n '\''"\udbc3\udfff"'\''|json -b 2
$ echo -n '\''"\udbc3\udfff"'\''|json -b 3
$ echo -n '\''"\udbc3\udfff"'\''|json -b 4
$ echo -n '\''"\udbc3\udfff"'\''|json -b 5
$ echo -n '\''"\udbc3\udfff"'\''|json -b 6
$ echo -n '\''"\udbc3\udfff"'\''|json -b 7
$ echo -n '\''"\udbc3\udfff"'\''|json -b 8
$ echo -n '\''"\udbc3\udfff"'\''|json -b 9
$ echo -n '\''"\udbc3\udfff"'\''|json -b 10
$ echo -n '\''"\udbc3\udfff"'\''|json -b 11
$ echo -n '\''"\udbc3\udfff"'\''|json -b 12
$ echo -n '\''"\udbc3\udfff"'\''|json -b 13
$ echo -n '\''"\udbc3\udfff"'\''|json -b 14
$ echo -n '\''"\udbfc\udc00"'\''|json -b 1
$ echo -n '\''"\udbfc\udc00"'\''|json -b 2
$ echo -n '\''"\udbfc\udc00"'\''|json -b 3
$ echo -n '\''"\udbfc\udc00"'\''|json -b 4
$ echo -n '\''"\udbfc\udc00"'\''|json -b 5
$ echo -n '\''"\udbfc\udc00"'\''|json -b 6
$ echo -n '\''"\udbfc\udc00"'\''|json -b 7
$ echo -n '\''"\udbfc\udc00"'\''|json -b 8
$ echo -n '\''"\udbfc\udc00"'\''|json -b 9
$ echo -n '\''"\udbfc\udc00"'\''|json -b 10
$ echo -n '\''"\udbfc\udc00"'\''|json -b 11
$ echo -n '\''"\udbfc\udc00"'\''|json -b 12
$ echo -n '\''"\udbfc\udc00"'\''|json -b 13
$ echo -n '\''"\udbfc\udc00"'\''|json -b 14
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 1
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 2
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 3
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 4
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 5
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 6
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 7
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 8
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 9
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 10
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 11
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 12
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 13
$ echo -n '\''"\udbfc\udc3f"'\''|json -b 14
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 1
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 2
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 3
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 4
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 5
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 6
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 7
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 8
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 9
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 10
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 11
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 12
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 13
$ echo -n '\''"\udbfc\udfc0"'\''|json -b 14
$ echo -n '\''"\udbfc\udfff"'\''|json -b 1
$ echo -n '\''"\udbfc\udfff"'\''|json -b 2
$ echo -n '\''"\udbfc\udfff"'\''|json -b 3
$ echo -n '\''"\udbfc\udfff"'\''|json -b 4
$ echo -n '\''"\udbfc\udfff"'\''|json -b 5
$ echo -n '\''"\udbfc\udfff"'\''|json -b 6
$ echo -n '\''"\udbfc\udfff"'\''|json -b 7
$ echo -n '\''"\udbfc\udfff"'\''|json -b 8
$ echo -n '\''"\udbfc\udfff"'\''|json -b 9
$ echo -n '\''"\udbfc\udfff"'\''|json -b 10
$ echo -n '\''"\udbfc\udfff"'\''|json -b 11
$ echo -n '\''"\udbfc\udfff"'\''|json -b 12
$ echo -n '\''"\udbfc\udfff"'\''|json -b 13
$ echo -n '\''"\udbfc\udfff"'\''|json -b 14
$ echo -n '\''"\udbff\udc00"'\''|json -b 1
$ echo -n '\''"\udbff\udc00"'\''|json -b 2
$ echo -n '\''"\udbff\udc00"'\''|json -b 3
$ echo -n '\''"\udbff\udc00"'\''|json -b 4
$ echo -n '\''"\udbff\udc00"'\''|json -b 5
$ echo -n '\''"\udbff\udc00"'\''|json -b 6
$ echo -n '\''"\udbff\udc00"'\''|json -b 7
$ echo -n '\''"\udbff\udc00"'\''|json -b 8
$ echo -n '\''"\udbff\udc00"'\''|json -b 9
$ echo -n '\''"\udbff\udc00"'\''|json -b 10
$ echo -n '\''"\udbff\udc00"'\''|json -b 11
$ echo -n '\''"\udbff\udc00"'\''|json -b 12
$ echo -n '\''"\udbff\udc00"'\''|json -b 13
$ echo -n '\''"\udbff\udc00"'\''|json -b 14
$ echo -n '\''"\udbff\udc3f"'\''|json -b 1
$ echo -n '\''"\udbff\udc3f"'\''|json -b 2
$ echo -n '\''"\udbff\udc3f"'\''|json -b 3
$ echo -n '\''"\udbff\udc3f"'\''|json -b 4
$ echo -n '\''"\udbff\udc3f"'\''|json -b 5
$ echo -n '\''"\udbff\udc3f"'\''|json -b 6
$ echo -n '\''"\udbff\udc3f"'\''|json -b 7
$ echo -n '\''"\udbff\udc3f"'\''|json -b 8
$ echo -n '\''"\udbff\udc3f"'\''|json -b 9
$ echo -n '\''"\udbff\udc3f"'\''|json -b 10
$ echo -n '\''"\udbff\udc3f"'\''|json -b 11
$ echo -n '\''"\udbff\udc3f"'\''|json -b 12
$ echo -n '\''"\udbff\udc3f"'\''|json -b 13
$ echo -n '\''"\udbff\udc3f"'\''|json -b 14
$ echo -n '\''"\udbff\udfc0"'\''|json -b 1
$ echo -n '\''"\udbff\udfc0"'\''|json -b 2
$ echo -n '\''"\udbff\udfc0"'\''|json -b 3
$ echo -n '\''"\udbff\udfc0"'\''|json -b 4
$ echo -n '\''"\udbff\udfc0"'\''|json -b 5
$ echo -n '\''"\udbff\udfc0"'\''|json -b 6
$ echo -n '\''"\udbff\udfc0"'\''|json -b 7
$ echo -n '\''"\udbff\udfc0"'\''|json -b 8
$ echo -n '\''"\udbff\udfc0"'\''|json -b 9
$ echo -n '\''"\udbff\udfc0"'\''|json -b 10
$ echo -n '\''"\udbff\udfc0"'\''|json -b 11
$ echo -n '\''"\udbff\udfc0"'\''|json -b 12
$ echo -n '\''"\udbff\udfc0"'\''|json -b 13
$ echo -n '\''"\udbff\udfc0"'\''|json -b 14
$ echo -n '\''"\udbff\udfff"'\''|json -b 1
$ echo -n '\''"\udbff\udfff"'\''|json -b 2
$ echo -n '\''"\udbff\udfff"'\''|json -b 3
$ echo -n '\''"\udbff\udfff"'\''|json -b 4
$ echo -n '\''"\udbff\udfff"'\''|json -b 5
$ echo -n '\''"\udbff\udfff"'\''|json -b 6
$ echo -n '\''"\udbff\udfff"'\''|json -b 7
$ echo -n '\''"\udbff\udfff"'\''|json -b 8
$ echo -n '\''"\udbff\udfff"'\''|json -b 9
$ echo -n '\''"\udbff\udfff"'\''|json -b 10
$ echo -n '\''"\udbff\udfff"'\''|json -b 11
$ echo -n '\''"\udbff\udfff"'\''|json -b 12
$ echo -n '\''"\udbff\udfff"'\''|json -b 13
$ echo -n '\''"\udbff\udfff"'\''|json -b 14'
) -L string-surrogate-pairs3.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }'
json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --parse-only --validate-utf8 --surrogate-pairs "$@"; }'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 1'
echo -n '"\ud800\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 2'
echo -n '"\ud800\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 3'
echo -n '"\ud800\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 4'
echo -n '"\ud800\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 5'
echo -n '"\ud800\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 6'
echo -n '"\ud800\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 7'
echo -n '"\ud800\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 8'
echo -n '"\ud800\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 9'
echo -n '"\ud800\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 10'
echo -n '"\ud800\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 11'
echo -n '"\ud800\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 12'
echo -n '"\ud800\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 13'
echo -n '"\ud800\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud800\udc00"'\''|json -b 14'
echo -n '"\ud800\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 1'
echo -n '"\ud800\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 2'
echo -n '"\ud800\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 3'
echo -n '"\ud800\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 4'
echo -n '"\ud800\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 5'
echo -n '"\ud800\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 6'
echo -n '"\ud800\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 7'
echo -n '"\ud800\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 8'
echo -n '"\ud800\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 9'
echo -n '"\ud800\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 10'
echo -n '"\ud800\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 11'
echo -n '"\ud800\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 12'
echo -n '"\ud800\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 13'
echo -n '"\ud800\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud800\udc3f"'\''|json -b 14'
echo -n '"\ud800\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 1'
echo -n '"\ud800\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 2'
echo -n '"\ud800\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 3'
echo -n '"\ud800\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 4'
echo -n '"\ud800\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 5'
echo -n '"\ud800\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 6'
echo -n '"\ud800\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 7'
echo -n '"\ud800\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 8'
echo -n '"\ud800\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 9'
echo -n '"\ud800\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 10'
echo -n '"\ud800\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 11'
echo -n '"\ud800\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 12'
echo -n '"\ud800\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 13'
echo -n '"\ud800\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud800\udfc0"'\''|json -b 14'
echo -n '"\ud800\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 1'
echo -n '"\ud800\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 2'
echo -n '"\ud800\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 3'
echo -n '"\ud800\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 4'
echo -n '"\ud800\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 5'
echo -n '"\ud800\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 6'
echo -n '"\ud800\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 7'
echo -n '"\ud800\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 8'
echo -n '"\ud800\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 9'
echo -n '"\ud800\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 10'
echo -n '"\ud800\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 11'
echo -n '"\ud800\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 12'
echo -n '"\ud800\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 13'
echo -n '"\ud800\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud800\udfff"'\''|json -b 14'
echo -n '"\ud800\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud800\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 1'
echo -n '"\ud803\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 2'
echo -n '"\ud803\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 3'
echo -n '"\ud803\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 4'
echo -n '"\ud803\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 5'
echo -n '"\ud803\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 6'
echo -n '"\ud803\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 7'
echo -n '"\ud803\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 8'
echo -n '"\ud803\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 9'
echo -n '"\ud803\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 10'
echo -n '"\ud803\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 11'
echo -n '"\ud803\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 12'
echo -n '"\ud803\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 13'
echo -n '"\ud803\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud803\udc00"'\''|json -b 14'
echo -n '"\ud803\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 1'
echo -n '"\ud803\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 2'
echo -n '"\ud803\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 3'
echo -n '"\ud803\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 4'
echo -n '"\ud803\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 5'
echo -n '"\ud803\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 6'
echo -n '"\ud803\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 7'
echo -n '"\ud803\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 8'
echo -n '"\ud803\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 9'
echo -n '"\ud803\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 10'
echo -n '"\ud803\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 11'
echo -n '"\ud803\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 12'
echo -n '"\ud803\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 13'
echo -n '"\ud803\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud803\udc3f"'\''|json -b 14'
echo -n '"\ud803\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 1'
echo -n '"\ud803\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 2'
echo -n '"\ud803\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 3'
echo -n '"\ud803\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 4'
echo -n '"\ud803\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 5'
echo -n '"\ud803\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 6'
echo -n '"\ud803\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 7'
echo -n '"\ud803\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 8'
echo -n '"\ud803\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 9'
echo -n '"\ud803\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 10'
echo -n '"\ud803\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 11'
echo -n '"\ud803\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 12'
echo -n '"\ud803\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 13'
echo -n '"\ud803\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud803\udfc0"'\''|json -b 14'
echo -n '"\ud803\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 1'
echo -n '"\ud803\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 2'
echo -n '"\ud803\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 3'
echo -n '"\ud803\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 4'
echo -n '"\ud803\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 5'
echo -n '"\ud803\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 6'
echo -n '"\ud803\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 7'
echo -n '"\ud803\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 8'
echo -n '"\ud803\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 9'
echo -n '"\ud803\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 10'
echo -n '"\ud803\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 11'
echo -n '"\ud803\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 12'
echo -n '"\ud803\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 13'
echo -n '"\ud803\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud803\udfff"'\''|json -b 14'
echo -n '"\ud803\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud803\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 1'
echo -n '"\ud8bc\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 2'
echo -n '"\ud8bc\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 3'
echo -n '"\ud8bc\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 4'
echo -n '"\ud8bc\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 5'
echo -n '"\ud8bc\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 6'
echo -n '"\ud8bc\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 7'
echo -n '"\ud8bc\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 8'
echo -n '"\ud8bc\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 9'
echo -n '"\ud8bc\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 10'
echo -n '"\ud8bc\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 11'
echo -n '"\ud8bc\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 12'
echo -n '"\ud8bc\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 13'
echo -n '"\ud8bc\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bc\udc00"'\''|json -b 14'
echo -n '"\ud8bc\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 1'
echo -n '"\ud8bc\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 2'
echo -n '"\ud8bc\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 3'
echo -n '"\ud8bc\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 4'
echo -n '"\ud8bc\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 5'
echo -n '"\ud8bc\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 6'
echo -n '"\ud8bc\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 7'
echo -n '"\ud8bc\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 8'
echo -n '"\ud8bc\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 9'
echo -n '"\ud8bc\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 10'
echo -n '"\ud8bc\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 11'
echo -n '"\ud8bc\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 12'
echo -n '"\ud8bc\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 13'
echo -n '"\ud8bc\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bc\udc3f"'\''|json -b 14'
echo -n '"\ud8bc\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 1'
echo -n '"\ud8bc\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 2'
echo -n '"\ud8bc\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 3'
echo -n '"\ud8bc\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 4'
echo -n '"\ud8bc\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 5'
echo -n '"\ud8bc\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 6'
echo -n '"\ud8bc\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 7'
echo -n '"\ud8bc\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 8'
echo -n '"\ud8bc\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 9'
echo -n '"\ud8bc\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 10'
echo -n '"\ud8bc\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 11'
echo -n '"\ud8bc\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 12'
echo -n '"\ud8bc\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 13'
echo -n '"\ud8bc\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bc\udfc0"'\''|json -b 14'
echo -n '"\ud8bc\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 1'
echo -n '"\ud8bc\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 2'
echo -n '"\ud8bc\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 3'
echo -n '"\ud8bc\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 4'
echo -n '"\ud8bc\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 5'
echo -n '"\ud8bc\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 6'
echo -n '"\ud8bc\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 7'
echo -n '"\ud8bc\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 8'
echo -n '"\ud8bc\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 9'
echo -n '"\ud8bc\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 10'
echo -n '"\ud8bc\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 11'
echo -n '"\ud8bc\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 12'
echo -n '"\ud8bc\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 13'
echo -n '"\ud8bc\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bc\udfff"'\''|json -b 14'
echo -n '"\ud8bc\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bc\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 1'
echo -n '"\ud8bf\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 2'
echo -n '"\ud8bf\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 3'
echo -n '"\ud8bf\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 4'
echo -n '"\ud8bf\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 5'
echo -n '"\ud8bf\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 6'
echo -n '"\ud8bf\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 7'
echo -n '"\ud8bf\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 8'
echo -n '"\ud8bf\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 9'
echo -n '"\ud8bf\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 10'
echo -n '"\ud8bf\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 11'
echo -n '"\ud8bf\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 12'
echo -n '"\ud8bf\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 13'
echo -n '"\ud8bf\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bf\udc00"'\''|json -b 14'
echo -n '"\ud8bf\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 1'
echo -n '"\ud8bf\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 2'
echo -n '"\ud8bf\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 3'
echo -n '"\ud8bf\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 4'
echo -n '"\ud8bf\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 5'
echo -n '"\ud8bf\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 6'
echo -n '"\ud8bf\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 7'
echo -n '"\ud8bf\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 8'
echo -n '"\ud8bf\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 9'
echo -n '"\ud8bf\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 10'
echo -n '"\ud8bf\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 11'
echo -n '"\ud8bf\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 12'
echo -n '"\ud8bf\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 13'
echo -n '"\ud8bf\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bf\udc3f"'\''|json -b 14'
echo -n '"\ud8bf\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 1'
echo -n '"\ud8bf\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 2'
echo -n '"\ud8bf\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 3'
echo -n '"\ud8bf\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 4'
echo -n '"\ud8bf\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 5'
echo -n '"\ud8bf\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 6'
echo -n '"\ud8bf\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 7'
echo -n '"\ud8bf\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 8'
echo -n '"\ud8bf\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 9'
echo -n '"\ud8bf\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 10'
echo -n '"\ud8bf\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 11'
echo -n '"\ud8bf\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 12'
echo -n '"\ud8bf\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 13'
echo -n '"\ud8bf\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bf\udfc0"'\''|json -b 14'
echo -n '"\ud8bf\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 1'
echo -n '"\ud8bf\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 2'
echo -n '"\ud8bf\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 3'
echo -n '"\ud8bf\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 4'
echo -n '"\ud8bf\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 5'
echo -n '"\ud8bf\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 6'
echo -n '"\ud8bf\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 7'
echo -n '"\ud8bf\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 8'
echo -n '"\ud8bf\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 9'
echo -n '"\ud8bf\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 10'
echo -n '"\ud8bf\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 11'
echo -n '"\ud8bf\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 12'
echo -n '"\ud8bf\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 13'
echo -n '"\ud8bf\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud8bf\udfff"'\''|json -b 14'
echo -n '"\ud8bf\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8bf\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 1'
echo -n '"\ud8c0\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 2'
echo -n '"\ud8c0\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 3'
echo -n '"\ud8c0\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 4'
echo -n '"\ud8c0\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 5'
echo -n '"\ud8c0\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 6'
echo -n '"\ud8c0\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 7'
echo -n '"\ud8c0\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 8'
echo -n '"\ud8c0\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 9'
echo -n '"\ud8c0\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 10'
echo -n '"\ud8c0\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 11'
echo -n '"\ud8c0\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 12'
echo -n '"\ud8c0\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 13'
echo -n '"\ud8c0\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c0\udc00"'\''|json -b 14'
echo -n '"\ud8c0\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 1'
echo -n '"\ud8c0\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 2'
echo -n '"\ud8c0\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 3'
echo -n '"\ud8c0\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 4'
echo -n '"\ud8c0\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 5'
echo -n '"\ud8c0\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 6'
echo -n '"\ud8c0\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 7'
echo -n '"\ud8c0\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 8'
echo -n '"\ud8c0\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 9'
echo -n '"\ud8c0\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 10'
echo -n '"\ud8c0\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 11'
echo -n '"\ud8c0\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 12'
echo -n '"\ud8c0\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 13'
echo -n '"\ud8c0\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c0\udc3f"'\''|json -b 14'
echo -n '"\ud8c0\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 1'
echo -n '"\ud8c0\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 2'
echo -n '"\ud8c0\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 3'
echo -n '"\ud8c0\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 4'
echo -n '"\ud8c0\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 5'
echo -n '"\ud8c0\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 6'
echo -n '"\ud8c0\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 7'
echo -n '"\ud8c0\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 8'
echo -n '"\ud8c0\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 9'
echo -n '"\ud8c0\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 10'
echo -n '"\ud8c0\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 11'
echo -n '"\ud8c0\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 12'
echo -n '"\ud8c0\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 13'
echo -n '"\ud8c0\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c0\udfc0"'\''|json -b 14'
echo -n '"\ud8c0\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 1'
echo -n '"\ud8c0\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 2'
echo -n '"\ud8c0\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 3'
echo -n '"\ud8c0\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 4'
echo -n '"\ud8c0\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 5'
echo -n '"\ud8c0\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 6'
echo -n '"\ud8c0\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 7'
echo -n '"\ud8c0\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 8'
echo -n '"\ud8c0\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 9'
echo -n '"\ud8c0\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 10'
echo -n '"\ud8c0\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 11'
echo -n '"\ud8c0\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 12'
echo -n '"\ud8c0\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 13'
echo -n '"\ud8c0\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c0\udfff"'\''|json -b 14'
echo -n '"\ud8c0\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c0\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 1'
echo -n '"\ud8c3\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 2'
echo -n '"\ud8c3\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 3'
echo -n '"\ud8c3\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 4'
echo -n '"\ud8c3\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 5'
echo -n '"\ud8c3\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 6'
echo -n '"\ud8c3\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 7'
echo -n '"\ud8c3\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 8'
echo -n '"\ud8c3\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 9'
echo -n '"\ud8c3\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 10'
echo -n '"\ud8c3\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 11'
echo -n '"\ud8c3\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 12'
echo -n '"\ud8c3\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 13'
echo -n '"\ud8c3\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c3\udc00"'\''|json -b 14'
echo -n '"\ud8c3\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 1'
echo -n '"\ud8c3\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 2'
echo -n '"\ud8c3\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 3'
echo -n '"\ud8c3\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 4'
echo -n '"\ud8c3\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 5'
echo -n '"\ud8c3\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 6'
echo -n '"\ud8c3\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 7'
echo -n '"\ud8c3\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 8'
echo -n '"\ud8c3\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 9'
echo -n '"\ud8c3\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 10'
echo -n '"\ud8c3\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 11'
echo -n '"\ud8c3\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 12'
echo -n '"\ud8c3\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 13'
echo -n '"\ud8c3\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c3\udc3f"'\''|json -b 14'
echo -n '"\ud8c3\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 1'
echo -n '"\ud8c3\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 2'
echo -n '"\ud8c3\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 3'
echo -n '"\ud8c3\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 4'
echo -n '"\ud8c3\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 5'
echo -n '"\ud8c3\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 6'
echo -n '"\ud8c3\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 7'
echo -n '"\ud8c3\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 8'
echo -n '"\ud8c3\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 9'
echo -n '"\ud8c3\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 10'
echo -n '"\ud8c3\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 11'
echo -n '"\ud8c3\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 12'
echo -n '"\ud8c3\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 13'
echo -n '"\ud8c3\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c3\udfc0"'\''|json -b 14'
echo -n '"\ud8c3\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 1'
echo -n '"\ud8c3\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 2'
echo -n '"\ud8c3\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 3'
echo -n '"\ud8c3\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 4'
echo -n '"\ud8c3\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 5'
echo -n '"\ud8c3\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 6'
echo -n '"\ud8c3\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 7'
echo -n '"\ud8c3\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 8'
echo -n '"\ud8c3\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 9'
echo -n '"\ud8c3\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 10'
echo -n '"\ud8c3\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 11'
echo -n '"\ud8c3\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 12'
echo -n '"\ud8c3\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 13'
echo -n '"\ud8c3\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud8c3\udfff"'\''|json -b 14'
echo -n '"\ud8c3\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud8c3\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 1'
echo -n '"\ud9bc\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 2'
echo -n '"\ud9bc\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 3'
echo -n '"\ud9bc\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 4'
echo -n '"\ud9bc\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 5'
echo -n '"\ud9bc\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 6'
echo -n '"\ud9bc\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 7'
echo -n '"\ud9bc\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 8'
echo -n '"\ud9bc\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 9'
echo -n '"\ud9bc\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 10'
echo -n '"\ud9bc\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 11'
echo -n '"\ud9bc\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 12'
echo -n '"\ud9bc\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 13'
echo -n '"\ud9bc\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bc\udc00"'\''|json -b 14'
echo -n '"\ud9bc\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 1'
echo -n '"\ud9bc\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 2'
echo -n '"\ud9bc\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 3'
echo -n '"\ud9bc\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 4'
echo -n '"\ud9bc\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 5'
echo -n '"\ud9bc\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 6'
echo -n '"\ud9bc\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 7'
echo -n '"\ud9bc\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 8'
echo -n '"\ud9bc\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 9'
echo -n '"\ud9bc\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 10'
echo -n '"\ud9bc\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 11'
echo -n '"\ud9bc\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 12'
echo -n '"\ud9bc\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 13'
echo -n '"\ud9bc\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bc\udc3f"'\''|json -b 14'
echo -n '"\ud9bc\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 1'
echo -n '"\ud9bc\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 2'
echo -n '"\ud9bc\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 3'
echo -n '"\ud9bc\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 4'
echo -n '"\ud9bc\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 5'
echo -n '"\ud9bc\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 6'
echo -n '"\ud9bc\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 7'
echo -n '"\ud9bc\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 8'
echo -n '"\ud9bc\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 9'
echo -n '"\ud9bc\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 10'
echo -n '"\ud9bc\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 11'
echo -n '"\ud9bc\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 12'
echo -n '"\ud9bc\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 13'
echo -n '"\ud9bc\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bc\udfc0"'\''|json -b 14'
echo -n '"\ud9bc\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 1'
echo -n '"\ud9bc\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 2'
echo -n '"\ud9bc\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 3'
echo -n '"\ud9bc\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 4'
echo -n '"\ud9bc\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 5'
echo -n '"\ud9bc\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 6'
echo -n '"\ud9bc\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 7'
echo -n '"\ud9bc\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 8'
echo -n '"\ud9bc\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 9'
echo -n '"\ud9bc\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 10'
echo -n '"\ud9bc\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 11'
echo -n '"\ud9bc\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 12'
echo -n '"\ud9bc\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 13'
echo -n '"\ud9bc\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bc\udfff"'\''|json -b 14'
echo -n '"\ud9bc\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bc\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 1'
echo -n '"\ud9bf\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 2'
echo -n '"\ud9bf\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 3'
echo -n '"\ud9bf\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 4'
echo -n '"\ud9bf\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 5'
echo -n '"\ud9bf\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 6'
echo -n '"\ud9bf\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 7'
echo -n '"\ud9bf\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 8'
echo -n '"\ud9bf\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 9'
echo -n '"\ud9bf\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 10'
echo -n '"\ud9bf\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 11'
echo -n '"\ud9bf\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 12'
echo -n '"\ud9bf\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 13'
echo -n '"\ud9bf\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bf\udc00"'\''|json -b 14'
echo -n '"\ud9bf\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 1'
echo -n '"\ud9bf\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 2'
echo -n '"\ud9bf\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 3'
echo -n '"\ud9bf\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 4'
echo -n '"\ud9bf\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 5'
echo -n '"\ud9bf\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 6'
echo -n '"\ud9bf\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 7'
echo -n '"\ud9bf\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 8'
echo -n '"\ud9bf\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 9'
echo -n '"\ud9bf\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 10'
echo -n '"\ud9bf\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 11'
echo -n '"\ud9bf\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 12'
echo -n '"\ud9bf\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 13'
echo -n '"\ud9bf\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bf\udc3f"'\''|json -b 14'
echo -n '"\ud9bf\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 1'
echo -n '"\ud9bf\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 2'
echo -n '"\ud9bf\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 3'
echo -n '"\ud9bf\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 4'
echo -n '"\ud9bf\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 5'
echo -n '"\ud9bf\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 6'
echo -n '"\ud9bf\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 7'
echo -n '"\ud9bf\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 8'
echo -n '"\ud9bf\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 9'
echo -n '"\ud9bf\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 10'
echo -n '"\ud9bf\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 11'
echo -n '"\ud9bf\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 12'
echo -n '"\ud9bf\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 13'
echo -n '"\ud9bf\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bf\udfc0"'\''|json -b 14'
echo -n '"\ud9bf\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 1'
echo -n '"\ud9bf\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 2'
echo -n '"\ud9bf\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 3'
echo -n '"\ud9bf\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 4'
echo -n '"\ud9bf\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 5'
echo -n '"\ud9bf\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 6'
echo -n '"\ud9bf\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 7'
echo -n '"\ud9bf\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 8'
echo -n '"\ud9bf\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 9'
echo -n '"\ud9bf\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 10'
echo -n '"\ud9bf\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 11'
echo -n '"\ud9bf\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 12'
echo -n '"\ud9bf\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 13'
echo -n '"\ud9bf\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\ud9bf\udfff"'\''|json -b 14'
echo -n '"\ud9bf\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\ud9bf\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 1'
echo -n '"\udac0\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 2'
echo -n '"\udac0\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 3'
echo -n '"\udac0\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 4'
echo -n '"\udac0\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 5'
echo -n '"\udac0\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 6'
echo -n '"\udac0\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 7'
echo -n '"\udac0\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 8'
echo -n '"\udac0\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 9'
echo -n '"\udac0\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 10'
echo -n '"\udac0\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 11'
echo -n '"\udac0\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 12'
echo -n '"\udac0\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 13'
echo -n '"\udac0\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udac0\udc00"'\''|json -b 14'
echo -n '"\udac0\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 1'
echo -n '"\udac0\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 2'
echo -n '"\udac0\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 3'
echo -n '"\udac0\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 4'
echo -n '"\udac0\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 5'
echo -n '"\udac0\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 6'
echo -n '"\udac0\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 7'
echo -n '"\udac0\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 8'
echo -n '"\udac0\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 9'
echo -n '"\udac0\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 10'
echo -n '"\udac0\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 11'
echo -n '"\udac0\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 12'
echo -n '"\udac0\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 13'
echo -n '"\udac0\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udac0\udc3f"'\''|json -b 14'
echo -n '"\udac0\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 1'
echo -n '"\udac0\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 2'
echo -n '"\udac0\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 3'
echo -n '"\udac0\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 4'
echo -n '"\udac0\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 5'
echo -n '"\udac0\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 6'
echo -n '"\udac0\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 7'
echo -n '"\udac0\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 8'
echo -n '"\udac0\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 9'
echo -n '"\udac0\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 10'
echo -n '"\udac0\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 11'
echo -n '"\udac0\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 12'
echo -n '"\udac0\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 13'
echo -n '"\udac0\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udac0\udfc0"'\''|json -b 14'
echo -n '"\udac0\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 1'
echo -n '"\udac0\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 2'
echo -n '"\udac0\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 3'
echo -n '"\udac0\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 4'
echo -n '"\udac0\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 5'
echo -n '"\udac0\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 6'
echo -n '"\udac0\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 7'
echo -n '"\udac0\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 8'
echo -n '"\udac0\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 9'
echo -n '"\udac0\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 10'
echo -n '"\udac0\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 11'
echo -n '"\udac0\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 12'
echo -n '"\udac0\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 13'
echo -n '"\udac0\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udac0\udfff"'\''|json -b 14'
echo -n '"\udac0\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac0\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 1'
echo -n '"\udac3\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 2'
echo -n '"\udac3\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 3'
echo -n '"\udac3\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 4'
echo -n '"\udac3\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 5'
echo -n '"\udac3\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 6'
echo -n '"\udac3\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 7'
echo -n '"\udac3\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 8'
echo -n '"\udac3\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 9'
echo -n '"\udac3\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 10'
echo -n '"\udac3\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 11'
echo -n '"\udac3\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 12'
echo -n '"\udac3\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 13'
echo -n '"\udac3\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udac3\udc00"'\''|json -b 14'
echo -n '"\udac3\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 1'
echo -n '"\udac3\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 2'
echo -n '"\udac3\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 3'
echo -n '"\udac3\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 4'
echo -n '"\udac3\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 5'
echo -n '"\udac3\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 6'
echo -n '"\udac3\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 7'
echo -n '"\udac3\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 8'
echo -n '"\udac3\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 9'
echo -n '"\udac3\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 10'
echo -n '"\udac3\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 11'
echo -n '"\udac3\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 12'
echo -n '"\udac3\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 13'
echo -n '"\udac3\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udac3\udc3f"'\''|json -b 14'
echo -n '"\udac3\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 1'
echo -n '"\udac3\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 2'
echo -n '"\udac3\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 3'
echo -n '"\udac3\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 4'
echo -n '"\udac3\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 5'
echo -n '"\udac3\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 6'
echo -n '"\udac3\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 7'
echo -n '"\udac3\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 8'
echo -n '"\udac3\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 9'
echo -n '"\udac3\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 10'
echo -n '"\udac3\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 11'
echo -n '"\udac3\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 12'
echo -n '"\udac3\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 13'
echo -n '"\udac3\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udac3\udfc0"'\''|json -b 14'
echo -n '"\udac3\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 1'
echo -n '"\udac3\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 2'
echo -n '"\udac3\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 3'
echo -n '"\udac3\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 4'
echo -n '"\udac3\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 5'
echo -n '"\udac3\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 6'
echo -n '"\udac3\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 7'
echo -n '"\udac3\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 8'
echo -n '"\udac3\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 9'
echo -n '"\udac3\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 10'
echo -n '"\udac3\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 11'
echo -n '"\udac3\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 12'
echo -n '"\udac3\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 13'
echo -n '"\udac3\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udac3\udfff"'\''|json -b 14'
echo -n '"\udac3\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udac3\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 1'
echo -n '"\udbbc\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 2'
echo -n '"\udbbc\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 3'
echo -n '"\udbbc\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 4'
echo -n '"\udbbc\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 5'
echo -n '"\udbbc\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 6'
echo -n '"\udbbc\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 7'
echo -n '"\udbbc\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 8'
echo -n '"\udbbc\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 9'
echo -n '"\udbbc\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 10'
echo -n '"\udbbc\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 11'
echo -n '"\udbbc\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 12'
echo -n '"\udbbc\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 13'
echo -n '"\udbbc\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbbc\udc00"'\''|json -b 14'
echo -n '"\udbbc\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 1'
echo -n '"\udbbc\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 2'
echo -n '"\udbbc\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 3'
echo -n '"\udbbc\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 4'
echo -n '"\udbbc\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 5'
echo -n '"\udbbc\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 6'
echo -n '"\udbbc\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 7'
echo -n '"\udbbc\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 8'
echo -n '"\udbbc\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 9'
echo -n '"\udbbc\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 10'
echo -n '"\udbbc\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 11'
echo -n '"\udbbc\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 12'
echo -n '"\udbbc\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 13'
echo -n '"\udbbc\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbbc\udc3f"'\''|json -b 14'
echo -n '"\udbbc\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 1'
echo -n '"\udbbc\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 2'
echo -n '"\udbbc\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 3'
echo -n '"\udbbc\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 4'
echo -n '"\udbbc\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 5'
echo -n '"\udbbc\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 6'
echo -n '"\udbbc\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 7'
echo -n '"\udbbc\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 8'
echo -n '"\udbbc\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 9'
echo -n '"\udbbc\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 10'
echo -n '"\udbbc\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 11'
echo -n '"\udbbc\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 12'
echo -n '"\udbbc\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 13'
echo -n '"\udbbc\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbbc\udfc0"'\''|json -b 14'
echo -n '"\udbbc\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 1'
echo -n '"\udbbc\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 2'
echo -n '"\udbbc\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 3'
echo -n '"\udbbc\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 4'
echo -n '"\udbbc\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 5'
echo -n '"\udbbc\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 6'
echo -n '"\udbbc\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 7'
echo -n '"\udbbc\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 8'
echo -n '"\udbbc\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 9'
echo -n '"\udbbc\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 10'
echo -n '"\udbbc\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 11'
echo -n '"\udbbc\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 12'
echo -n '"\udbbc\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 13'
echo -n '"\udbbc\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbbc\udfff"'\''|json -b 14'
echo -n '"\udbbc\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbc\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 1'
echo -n '"\udbbf\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 2'
echo -n '"\udbbf\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 3'
echo -n '"\udbbf\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 4'
echo -n '"\udbbf\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 5'
echo -n '"\udbbf\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 6'
echo -n '"\udbbf\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 7'
echo -n '"\udbbf\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 8'
echo -n '"\udbbf\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 9'
echo -n '"\udbbf\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 10'
echo -n '"\udbbf\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 11'
echo -n '"\udbbf\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 12'
echo -n '"\udbbf\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 13'
echo -n '"\udbbf\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbbf\udc00"'\''|json -b 14'
echo -n '"\udbbf\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 1'
echo -n '"\udbbf\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 2'
echo -n '"\udbbf\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 3'
echo -n '"\udbbf\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 4'
echo -n '"\udbbf\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 5'
echo -n '"\udbbf\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 6'
echo -n '"\udbbf\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 7'
echo -n '"\udbbf\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 8'
echo -n '"\udbbf\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 9'
echo -n '"\udbbf\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 10'
echo -n '"\udbbf\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 11'
echo -n '"\udbbf\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 12'
echo -n '"\udbbf\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 13'
echo -n '"\udbbf\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbbf\udc3f"'\''|json -b 14'
echo -n '"\udbbf\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 1'
echo -n '"\udbbf\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 2'
echo -n '"\udbbf\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 3'
echo -n '"\udbbf\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 4'
echo -n '"\udbbf\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 5'
echo -n '"\udbbf\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 6'
echo -n '"\udbbf\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 7'
echo -n '"\udbbf\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 8'
echo -n '"\udbbf\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 9'
echo -n '"\udbbf\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 10'
echo -n '"\udbbf\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 11'
echo -n '"\udbbf\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 12'
echo -n '"\udbbf\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 13'
echo -n '"\udbbf\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbbf\udfc0"'\''|json -b 14'
echo -n '"\udbbf\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 1'
echo -n '"\udbbf\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 2'
echo -n '"\udbbf\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 3'
echo -n '"\udbbf\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 4'
echo -n '"\udbbf\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 5'
echo -n '"\udbbf\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 6'
echo -n '"\udbbf\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 7'
echo -n '"\udbbf\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 8'
echo -n '"\udbbf\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 9'
echo -n '"\udbbf\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 10'
echo -n '"\udbbf\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 11'
echo -n '"\udbbf\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 12'
echo -n '"\udbbf\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 13'
echo -n '"\udbbf\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbbf\udfff"'\''|json -b 14'
echo -n '"\udbbf\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbbf\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 1'
echo -n '"\udbc0\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 2'
echo -n '"\udbc0\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 3'
echo -n '"\udbc0\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 4'
echo -n '"\udbc0\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 5'
echo -n '"\udbc0\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 6'
echo -n '"\udbc0\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 7'
echo -n '"\udbc0\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 8'
echo -n '"\udbc0\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 9'
echo -n '"\udbc0\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 10'
echo -n '"\udbc0\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 11'
echo -n '"\udbc0\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 12'
echo -n '"\udbc0\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 13'
echo -n '"\udbc0\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbc0\udc00"'\''|json -b 14'
echo -n '"\udbc0\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 1'
echo -n '"\udbc0\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 2'
echo -n '"\udbc0\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 3'
echo -n '"\udbc0\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 4'
echo -n '"\udbc0\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 5'
echo -n '"\udbc0\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 6'
echo -n '"\udbc0\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 7'
echo -n '"\udbc0\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 8'
echo -n '"\udbc0\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 9'
echo -n '"\udbc0\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 10'
echo -n '"\udbc0\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 11'
echo -n '"\udbc0\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 12'
echo -n '"\udbc0\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 13'
echo -n '"\udbc0\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbc0\udc3f"'\''|json -b 14'
echo -n '"\udbc0\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 1'
echo -n '"\udbc0\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 2'
echo -n '"\udbc0\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 3'
echo -n '"\udbc0\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 4'
echo -n '"\udbc0\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 5'
echo -n '"\udbc0\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 6'
echo -n '"\udbc0\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 7'
echo -n '"\udbc0\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 8'
echo -n '"\udbc0\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 9'
echo -n '"\udbc0\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 10'
echo -n '"\udbc0\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 11'
echo -n '"\udbc0\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 12'
echo -n '"\udbc0\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 13'
echo -n '"\udbc0\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbc0\udfc0"'\''|json -b 14'
echo -n '"\udbc0\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 1'
echo -n '"\udbc0\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 2'
echo -n '"\udbc0\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 3'
echo -n '"\udbc0\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 4'
echo -n '"\udbc0\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 5'
echo -n '"\udbc0\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 6'
echo -n '"\udbc0\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 7'
echo -n '"\udbc0\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 8'
echo -n '"\udbc0\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 9'
echo -n '"\udbc0\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 10'
echo -n '"\udbc0\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 11'
echo -n '"\udbc0\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 12'
echo -n '"\udbc0\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 13'
echo -n '"\udbc0\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbc0\udfff"'\''|json -b 14'
echo -n '"\udbc0\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc0\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 1'
echo -n '"\udbc3\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 2'
echo -n '"\udbc3\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 3'
echo -n '"\udbc3\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 4'
echo -n '"\udbc3\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 5'
echo -n '"\udbc3\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 6'
echo -n '"\udbc3\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 7'
echo -n '"\udbc3\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 8'
echo -n '"\udbc3\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 9'
echo -n '"\udbc3\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 10'
echo -n '"\udbc3\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 11'
echo -n '"\udbc3\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 12'
echo -n '"\udbc3\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 13'
echo -n '"\udbc3\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbc3\udc00"'\''|json -b 14'
echo -n '"\udbc3\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 1'
echo -n '"\udbc3\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 2'
echo -n '"\udbc3\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 3'
echo -n '"\udbc3\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 4'
echo -n '"\udbc3\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 5'
echo -n '"\udbc3\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 6'
echo -n '"\udbc3\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 7'
echo -n '"\udbc3\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 8'
echo -n '"\udbc3\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 9'
echo -n '"\udbc3\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 10'
echo -n '"\udbc3\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 11'
echo -n '"\udbc3\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 12'
echo -n '"\udbc3\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 13'
echo -n '"\udbc3\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbc3\udc3f"'\''|json -b 14'
echo -n '"\udbc3\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 1'
echo -n '"\udbc3\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 2'
echo -n '"\udbc3\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 3'
echo -n '"\udbc3\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 4'
echo -n '"\udbc3\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 5'
echo -n '"\udbc3\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 6'
echo -n '"\udbc3\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 7'
echo -n '"\udbc3\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 8'
echo -n '"\udbc3\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 9'
echo -n '"\udbc3\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 10'
echo -n '"\udbc3\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 11'
echo -n '"\udbc3\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 12'
echo -n '"\udbc3\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 13'
echo -n '"\udbc3\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbc3\udfc0"'\''|json -b 14'
echo -n '"\udbc3\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 1'
echo -n '"\udbc3\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 2'
echo -n '"\udbc3\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 3'
echo -n '"\udbc3\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 4'
echo -n '"\udbc3\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 5'
echo -n '"\udbc3\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 6'
echo -n '"\udbc3\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 7'
echo -n '"\udbc3\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 8'
echo -n '"\udbc3\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 9'
echo -n '"\udbc3\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 10'
echo -n '"\udbc3\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 11'
echo -n '"\udbc3\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 12'
echo -n '"\udbc3\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 13'
echo -n '"\udbc3\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbc3\udfff"'\''|json -b 14'
echo -n '"\udbc3\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbc3\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 1'
echo -n '"\udbfc\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 2'
echo -n '"\udbfc\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 3'
echo -n '"\udbfc\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 4'
echo -n '"\udbfc\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 5'
echo -n '"\udbfc\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 6'
echo -n '"\udbfc\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 7'
echo -n '"\udbfc\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 8'
echo -n '"\udbfc\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 9'
echo -n '"\udbfc\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 10'
echo -n '"\udbfc\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 11'
echo -n '"\udbfc\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 12'
echo -n '"\udbfc\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 13'
echo -n '"\udbfc\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbfc\udc00"'\''|json -b 14'
echo -n '"\udbfc\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 1'
echo -n '"\udbfc\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 2'
echo -n '"\udbfc\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 3'
echo -n '"\udbfc\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 4'
echo -n '"\udbfc\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 5'
echo -n '"\udbfc\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 6'
echo -n '"\udbfc\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 7'
echo -n '"\udbfc\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 8'
echo -n '"\udbfc\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 9'
echo -n '"\udbfc\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 10'
echo -n '"\udbfc\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 11'
echo -n '"\udbfc\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 12'
echo -n '"\udbfc\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 13'
echo -n '"\udbfc\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbfc\udc3f"'\''|json -b 14'
echo -n '"\udbfc\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 1'
echo -n '"\udbfc\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 2'
echo -n '"\udbfc\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 3'
echo -n '"\udbfc\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 4'
echo -n '"\udbfc\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 5'
echo -n '"\udbfc\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 6'
echo -n '"\udbfc\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 7'
echo -n '"\udbfc\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 8'
echo -n '"\udbfc\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 9'
echo -n '"\udbfc\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 10'
echo -n '"\udbfc\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 11'
echo -n '"\udbfc\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 12'
echo -n '"\udbfc\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 13'
echo -n '"\udbfc\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbfc\udfc0"'\''|json -b 14'
echo -n '"\udbfc\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 1'
echo -n '"\udbfc\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 2'
echo -n '"\udbfc\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 3'
echo -n '"\udbfc\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 4'
echo -n '"\udbfc\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 5'
echo -n '"\udbfc\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 6'
echo -n '"\udbfc\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 7'
echo -n '"\udbfc\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 8'
echo -n '"\udbfc\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 9'
echo -n '"\udbfc\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 10'
echo -n '"\udbfc\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 11'
echo -n '"\udbfc\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 12'
echo -n '"\udbfc\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 13'
echo -n '"\udbfc\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbfc\udfff"'\''|json -b 14'
echo -n '"\udbfc\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbfc\udfff"'\''|json -b 14'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 1'
echo -n '"\udbff\udc00"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 1'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 2'
echo -n '"\udbff\udc00"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 2'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 3'
echo -n '"\udbff\udc00"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 3'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 4'
echo -n '"\udbff\udc00"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 4'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 5'
echo -n '"\udbff\udc00"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 5'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 6'
echo -n '"\udbff\udc00"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 6'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 7'
echo -n '"\udbff\udc00"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 7'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 8'
echo -n '"\udbff\udc00"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 8'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 9'
echo -n '"\udbff\udc00"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 9'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 10'
echo -n '"\udbff\udc00"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 10'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 11'
echo -n '"\udbff\udc00"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 11'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 12'
echo -n '"\udbff\udc00"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 12'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 13'
echo -n '"\udbff\udc00"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 13'

echo '$ echo -n '\''"\udbff\udc00"'\''|json -b 14'
echo -n '"\udbff\udc00"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc00"'\''|json -b 14'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 1'
echo -n '"\udbff\udc3f"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 1'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 2'
echo -n '"\udbff\udc3f"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 2'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 3'
echo -n '"\udbff\udc3f"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 3'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 4'
echo -n '"\udbff\udc3f"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 4'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 5'
echo -n '"\udbff\udc3f"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 5'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 6'
echo -n '"\udbff\udc3f"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 6'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 7'
echo -n '"\udbff\udc3f"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 7'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 8'
echo -n '"\udbff\udc3f"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 8'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 9'
echo -n '"\udbff\udc3f"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 9'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 10'
echo -n '"\udbff\udc3f"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 10'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 11'
echo -n '"\udbff\udc3f"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 11'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 12'
echo -n '"\udbff\udc3f"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 12'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 13'
echo -n '"\udbff\udc3f"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 13'

echo '$ echo -n '\''"\udbff\udc3f"'\''|json -b 14'
echo -n '"\udbff\udc3f"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udc3f"'\''|json -b 14'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 1'
echo -n '"\udbff\udfc0"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 1'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 2'
echo -n '"\udbff\udfc0"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 2'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 3'
echo -n '"\udbff\udfc0"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 3'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 4'
echo -n '"\udbff\udfc0"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 4'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 5'
echo -n '"\udbff\udfc0"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 5'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 6'
echo -n '"\udbff\udfc0"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 6'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 7'
echo -n '"\udbff\udfc0"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 7'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 8'
echo -n '"\udbff\udfc0"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 8'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 9'
echo -n '"\udbff\udfc0"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 9'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 10'
echo -n '"\udbff\udfc0"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 10'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 11'
echo -n '"\udbff\udfc0"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 11'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 12'
echo -n '"\udbff\udfc0"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 12'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 13'
echo -n '"\udbff\udfc0"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 13'

echo '$ echo -n '\''"\udbff\udfc0"'\''|json -b 14'
echo -n '"\udbff\udfc0"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfc0"'\''|json -b 14'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 1'
echo -n '"\udbff\udfff"'|json -b 1 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 1'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 2'
echo -n '"\udbff\udfff"'|json -b 2 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 2'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 3'
echo -n '"\udbff\udfff"'|json -b 3 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 3'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 4'
echo -n '"\udbff\udfff"'|json -b 4 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 4'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 5'
echo -n '"\udbff\udfff"'|json -b 5 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 5'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 6'
echo -n '"\udbff\udfff"'|json -b 6 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 6'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 7'
echo -n '"\udbff\udfff"'|json -b 7 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 7'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 8'
echo -n '"\udbff\udfff"'|json -b 8 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 8'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 9'
echo -n '"\udbff\udfff"'|json -b 9 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 9'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 10'
echo -n '"\udbff\udfff"'|json -b 10 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 10'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 11'
echo -n '"\udbff\udfff"'|json -b 11 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 11'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 12'
echo -n '"\udbff\udfff"'|json -b 12 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 12'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 13'
echo -n '"\udbff\udfff"'|json -b 13 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 13'

echo '$ echo -n '\''"\udbff\udfff"'\''|json -b 14'
echo -n '"\udbff\udfff"'|json -b 14 2>&1 ||
echo 'command failed: echo -n '\''"\udbff\udfff"'\''|json -b 14'
)

